<!-- Comments -->

<div class="blog-comments" id="comments">

    <?php if ( comments_open() ) : ?>

        <?php if ( have_comments() ) : ?>
    
            <div class="layout-title center">
                <span><?php _e('Comments', 'polaris'); ?></span>
            </div>

            <ul class="comments">
                <?php wp_list_comments( array( 'callback' => 'plsh_comments' ) ); ?>
            </ul>

            <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
                <!-- BEGIN .pages -->	
                <div class="pages clearfix">
                    <div class="nav-previous"><?php previous_comments_link( '<span></span>' .  __('Previous', 'polaris')); ?></div>
                    <div class="nav-next"><?php next_comments_link(__('Next', 'polaris') . '<span></span>'); ?></div>
                </div>
            <?php endif; ?>
            
        <?php endif; ?>
                
                
        <div class="add-comment">

            <div class="layout-title center">
                <span><?php _e('Add your comment', 'polaris'); ?></span>
            </div>

            <?php if ( !have_comments() ) : ?>
                <div class="no-comments">
                    <p><?php _e('No comments so far. Be first to leave comment below.', 'polaris'); ?></p>
                </div>
            <?php endif; ?>
                        
            <?php 
                $avatar = get_avatar( $GLOBALS['comment'], $size='30' );
                $post_id = get_the_ID();
                $commenter = wp_get_current_commenter();
                $req = get_option( 'require_name_email' );
                $aria_req = ( $req ? " aria-required='true'" : '' );
                $logged_in = (get_current_user_id() > 0 ? 'user-logged-in' : '' );
                
                $args = array(
                    'fields' => apply_filters( 'comment_form_default_fields', array(
                         'author' =>
                            '<div class="data">' .
                            '<input id="author" name="author" type="text" placeholder="' . __( 'Your name', 'polaris' ) . ( $req ? ' *' : '' ) . '" value="' . esc_attr( $commenter['comment_author'] ) . '"' .
                             $aria_req . ' />',

                          'email' =>
                            '<input id="email" name="email" type="text" placeholder="' . __( 'E-mail address', 'polaris' ) . ( $req ? ' *' : '' ) . '" value="' . esc_attr(  $commenter['comment_author_email'] ) . '"' .
                             $aria_req . ' />',

                          'url' =>
                            '<input id="url" name="url" type="text" placeholder="' . __( 'Website', 'polaris' ) .  '" value="' . esc_attr( $commenter['comment_author_url'] ) . '"/></div>',
                        )
                    ),
                    'comment_field' =>  '<div class="comment comment-' . $logged_in . '">' .
                                        '<textarea id="comment" name="comment" placeholder="' . __( 'Your comment', 'polaris' ) . '" class="form-control" aria-required="true"></textarea>' .
                                        '</div>',
                    'logged_in_as' => '<p><div class="logged_in_inner">' . $avatar . ' <a class="user" href="' . esc_url(get_edit_user_link()) . '">' . $user_identity . '</a>' . ' <a class="logout" href="' . esc_url(wp_logout_url( apply_filters( 'the_permalink', get_permalink( $post_id ) ) ) ) . '">' . __('Log out', 'polaris') . '</a>' . '</div></p>',
                    'submit_button' => '<a href="#" id="comment-submit" class="btn-medium-1 ' . $logged_in . '"><i class="fa fa-comment"></i>' . __('Post your comment', 'polaris') . '</a>',
                    'comment_notes_after' => '',
					'id_submit' => 'hidden-submit',
                    'title_reply' => ''
                );
                comment_form($args);
            ?>

        </div>
    <?php endif; ?>
</div>