<?php

/*-----------------------------------------------------------------------------------*/
/* Define Constants */
/*-----------------------------------------------------------------------------------*/

    define('PLSH_URL', get_template_directory_uri() . '/');
	define('PLSH_THEME_URL', get_template_directory_uri() . '/theme/');
    define('PLSH_ADMIN_ASSET_URL', get_template_directory_uri() . '/core/panel/assets/');
	
	define('PLSH_IMG_URL', PLSH_THEME_URL . 'assets/images/');
	define('PLSH_JS_URL', PLSH_THEME_URL . 'assets/js/');
	define('PLSH_CSS_URL', PLSH_THEME_URL . 'assets/css/');
    define('PLSH_LESS_URL', PLSH_THEME_URL . 'assets/less/');
    
    $upload_dir = wp_upload_dir();
    define('PLSH_UPLOAD_URL',  $upload_dir['baseurl'] . '/polaris/');
    define('PLSH_UPLOAD_PATH',  $upload_dir['basedir'] . '/polaris/');
    
    define('PLSH_IS_CHILD', is_child_theme());
    define('YITH_REFER_ID', '1028732');
	define('BSF_6892199_NAG', false);

	define('PLSH_THEME_REGISTER_API_URL', 'http://planetshine.net/api/register/');
	define('PLSH_THEME_DEREGISTER_API_URL', 'http://planetshine.net/api/deregister/');
	define('PLSH_TF_ITEM_ID', '12098983');
    
    if(PLSH_IS_CHILD)
    {
        define('PLSH_CHILD_PATH', get_stylesheet_directory());
        define('PLSH_CHILD_THEME_PATH', get_stylesheet_directory() . '/theme/');
        define('PLSH_CHILD_TEMPLATE_PATH', PLSH_CHILD_THEME_PATH . 'templates/');
    }
	
/*-----------------------------------------------------------------------------------*/
/* Load the required Framework Files */
/*-----------------------------------------------------------------------------------*/

	include_once( get_template_directory() . '/core/' . 'shared-functions.php' );
	include_once( get_template_directory() . '/core/panel/' . 'admin-functions.php' );
	include_once( get_template_directory() . '/core/panel/' . 'admin-templates.php' );
    include_once( get_template_directory() . '/core/' . 'template-functions.php' );
	include_once( get_template_directory() . '/core/lib/' . 'settings.class.php' );
    include_once( get_template_directory() . '/core/lib/' . 'tgmPluginActivation.class.php' );
    include_once( get_template_directory() . '/core/lib/' . 'wpBootstrapNavwalker.class.php' );
    include_once( get_template_directory() . '/core/lib/' . 'lessc.inc.php' );
	include_once( get_template_directory() . '/core/lib/' . 'wp-less.class.php' );
	include_once( get_template_directory() . '/core/lib/' . 'themeStatus.class.php' );
	include_once( get_template_directory() . '/core/lib/' . 'envatoProtectedAPI.class.php' );
	include_once( get_template_directory() . '/core/lib/' . 'envatoWpThemeUpdater.class.php' );
	include_once( get_template_directory() . '/theme/includes/' . 'google-fonts.php');
	include_once( get_template_directory() . '/theme/includes/' . 'settings.php' );
	include_once( get_template_directory() . '/theme/plugins/' . 'versions.php' );
    include_once( get_template_directory() . '/theme/' . 'migrate.php');	//theme version change migrate
    
	if( is_admin())
	{
		include_once( get_template_directory() . '/theme/includes/' . 'demo-content-headers.php');	//theme version change migrate
	}
	
/*-----------------------------------------------------------------------------------*/
/* Load settings */
/*-----------------------------------------------------------------------------------*/

	$_SETTINGS = new Plsh_Settings();

/*-----------------------------------------------------------------------------------*/
/* Constants and Globals */
/*-----------------------------------------------------------------------------------*/
	
	define('PLSH_THEME_DOMAIN', plsh_gs('theme_slug'));

/*-----------------------------------------------------------------------------------*/
/* Add actions */
/*-----------------------------------------------------------------------------------*/
    
if( is_admin())
{
	plsh_init_updater();
	
	add_action('admin_menu', 'plsh_load_admin_menus');
    add_action('admin_enqueue_scripts', 'plsh_load_admin_styles');
    add_action('admin_enqueue_scripts', 'plsh_load_admin_scripts');
	add_action('wp_ajax_plsh_save_sidebar', 'plsh_save_sidebar');
	add_action('wp_ajax_plsh_save_settings', 'plsh_save_settings');
    add_action('wp_ajax_plsh_load_style_preset', 'plsh_load_style_preset');
    add_action('wp_ajax_plsh_save_ads', 'plsh_save_ads');
    add_action('wp_ajax_plsh_add_brand', 'plsh_add_brand');
    add_action('wp_ajax_plsh_save_ad_locations', 'plsh_save_ad_locations');
    add_action('wp_ajax_plsh_import_settings', 'plsh_import_settings');
    add_action('wp_ajax_plsh_reset_settings', 'plsh_reset_settings');
    add_action('wp_ajax_plsh_upload_image', 'plsh_upload_image');
	add_action('wp_ajax_plsh_remove_newsletter_notification', 'plsh_remove_newsletter_notification');
	add_action('wp_ajax_plsh_extra_google_fonts', 'plsh_extra_google_fonts');
	add_action('wp_ajax_plsh_save_theme_registration', 'plsh_save_theme_registration');
    add_action('wp_loaded', 'plsh_version_migrate');
    add_action('admin_notices', 'plsh_handle_admin_actions', 5);
	add_action('wp_ajax_plsh_demo_import_launcher', 'plsh_demo_import_launcher');
    add_action('wp_ajax_plsh_import_page', 'plsh_import_page');
    add_action('admin_notices', 'plsh_page_install_notification');
//	add_action('admin_notices', 'plsh_thumbnail_regenerate_notification');
    add_action('after_switch_theme', 'plsh_log_theme_version');
	add_action('after_switch_theme', 'plsh_redirect_to_status', 999);
}

?>