<?php

function plsh_load_admin_menus() 
{
	add_menu_page( plsh_gs('theme_name'), plsh_gs('theme_name'), 'administrator', plsh_gs('theme_slug').'-admin', 'plsh_admin', PLSH_ADMIN_ASSET_URL . 'images/planetshine-cp-panel-icon.png', 3);
	add_submenu_page( plsh_gs('theme_slug').'-admin', 'Theme Options', 'Theme Options', 'administrator', plsh_gs('theme_slug').'-admin', 'plsh_admin');
}

function plsh_load_admin_styles($hook_suffix) 
{
     if($hook_suffix == 'toplevel_page_' . PLSH_THEME_DOMAIN . '-admin') {
        wp_enqueue_style('plsh-admin-style', get_template_directory_uri() .'/core/panel/assets/css/style.css');
        $protocol = is_ssl() ? 'https' : 'http';
        wp_enqueue_style('plsh-roboto', $protocol . '://fonts.googleapis.com/css?family=Roboto:100,300,400');
        wp_enqueue_style('plsh-font-awesome', get_template_directory_uri() .'/core/panel/assets/css/font-awesome.css');
     }
     wp_enqueue_style('plsh-global-style', get_template_directory_uri() .'/core/panel/assets/css/global-style.css');
}
 
function plsh_load_admin_scripts($hook_suffix) 
{
 	if($hook_suffix == 'toplevel_page_' . PLSH_THEME_DOMAIN . '-admin') {
        wp_enqueue_script('plsh-uniform', get_template_directory_uri() .'/core/panel/assets/js/jquery.uniform.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-widget' ));
        wp_enqueue_script('plsh-dropkick', get_template_directory_uri() .'/core/panel/assets/js/jquery.dropkick.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-widget' ));
		wp_enqueue_script('plsh-progressbar', get_template_directory_uri() .'/core/panel/assets/js/progressbar.min.js', array( 'jquery'));
        wp_enqueue_script('plhs-admin-scripts', get_template_directory_uri() .'/core/panel/assets/js/scripts.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-widget', 'jquery-ui-accordion' ));
    }
}


function plsh_save_settings()
{
    check_ajax_referer('plsh_save_settings');
 	parse_str($_POST['data'],$data);
 	
    Plsh_Settings :: store_settings($data);
 	
 	die(json_encode(array('status' => 'ok', 'msg' => 'Settings saved!')));
}
 

function plsh_load_style_preset()
{
    check_ajax_referer('plsh_load_style_preset');
 	
    $preset = $_POST['preset'];
    $all_presets = plsh_gs('presets', false);
    $settings = $all_presets[$preset];
 	
    foreach($settings as $setting_group)
    {
        foreach($setting_group as $key => $value)
        {
            set_theme_mod($key, $value);
        }
    }
    
 	die(json_encode(array('status' => 'ok', 'msg' => 'Settings saved!')));
}

function plsh_import_settings()
{
    check_ajax_referer('plsh_import_settings');
    parse_str($_POST['data'],$data);
       
    Plsh_Settings :: import_settings($data['settings_export']);
    
    die(json_encode(array('status' => 'ok', 'msg' => 'Settings imported!')));
}

function plsh_reset_settings()
{
    check_ajax_referer('plsh_reset_settings');
    
    Plsh_Settings :: reset_settings();
    
    die(json_encode(array('status' => 'ok', 'msg' => 'Settings reset!')));
}

function plsh_get_admin_template($name)
{
    $path = get_template_directory() . '/core/panel/templates/' . $name . '.php';    

    if(file_exists($path))
    {
        include($path);
    }
}

function plsh_save_sidebar()
{
	global $_SETTINGS;
    check_ajax_referer('plsh_save_sidebar');
 	parse_str($_POST['data'],$data);
 	    
    if(!empty($data['action']))
    {
       
        //add new sidebar
        if($data['action'] == 'new')
        {
            if(strlen($data['name']) > 0)
            {
                $sidebars = plsh_gs('sidebars');
                foreach($sidebars as $sidebar)
                {
                    if($sidebar['name'] == $data['name'])
                    {
                        die(json_encode(array('status' => 'fail', 'msg' => 'name taken')));
                    }
                }
                
                $id = strtolower($data['name']);
                $id = preg_replace('/[^A-Za-z0-9-]/', '', $id);
                
                if(strlen($id) == 0)
                {
                    die(json_encode(array('status' => 'fail', 'msg' => 'invalid string')));
                }
                
                $sidebars[] = array(
                    'name' => $data['name'],
                    'id'   => $id,
                    'description' => '',
                    'class' => '',
                    'before_widget' => '<div id="%1$s" class="sidebar-item clearfix %2$s">',
                    'after_widget'  => '</div></div>',
                    'before_title'  => '<div class="title-default"><span class="active">',
                    'after_title'   => '</span></div><div class="widget-content">'
                );
                
                plsh_ss('sidebars', $sidebars);
                
                $item = '<li style="display: none;"><span>' . $data['name'] . '</span> <a href="#" class="delete-sidebar" id="' . $id .  '"></a>';
                
                die(json_encode(array('status' => 'ok', 'msg' => 'saved', 'html' => $item)));
            }
            else 
            {
                die(json_encode(array('status' => 'fail', 'msg' => 'name empty')));
            }
        }
        else if($data['action'] == 'delete')
        {
            if(!empty($data['id']))
            {
                $sidebars = plsh_gs('sidebars');
                foreach($sidebars as $key => $sidebar)
                {
                    if($sidebar['id'] == $data['id'])
                    {
                        unset($sidebars[$key]);
                        plsh_ss('sidebars', $sidebars);
                        die(json_encode(array('status' => 'ok', 'msg' => 'deleted')));
                    }
                }

                die(json_encode(array('status' => 'fail', 'msg' => 'sidebar id not found')));
            }
        }
        else if($data['action'] == 'manage')
        {    
            unset($data['action']);
            
            $page_sidebars = plsh_gs('page_sidebars');
            
            $templates = plsh_gs('page_types');
            foreach($data as $key => $value)
            {
                if(in_array($key, array_keys($templates)))
                {
                    $page_sidebars[$key] = $value;
                }
            }
            
            plsh_ss('page_sidebars', $page_sidebars);
            
            die(json_encode(array('status' => 'ok', 'msg' => 'Sidebars saved')));
            
        }   
    }
     	
}


function plsh_add_brand()
{
	global $_SETTINGS;
    check_ajax_referer('plsh_add_brand');
 	parse_str($_POST['data'],$data);
 	        
    if(!empty($data['type']))
    {
       
        //add new sidebar
        if($data['type'] == 'new')
        {
            if(strlen($data['url']) > 0 && strlen($data['brand_image']) > 0)
            {
                if(!filter_var($data['url'], FILTER_VALIDATE_URL) === false)
                {
                    $brands = plsh_gs('brands');
                    $hash = md5($data['url'] . $data['brand_image']);
                    
                    if(empty($brands[$hash]))
                    {
                        $item = array(
                            'url' => $data['url'],
                            'image' => plsh_banner_image_src($data['brand_image']),
                        );
                        
                        $brands[$hash] = $item;
                        
                        plsh_ss('brands', $brands);
                    }
                    
                    die(json_encode(array('status' => 'ok', 'msg' => 'saved', 'key' => $hash, 'data' => $item)));
                }
                else
                {
                    die(json_encode(array('status' => 'fail', 'msg' => 'Incorrect URL')));
                }
            }
            else
            {
                die(json_encode(array('status' => 'fail', 'msg' => 'Missing image or link')));
            }
        }
        else if($data['type'] = 'sort')
        {
            $keys = array();
            if(strlen(trim($data['keys'])) > 0)
            {
                $keys = explode(',', trim($data['keys']));
            }
            $old_brands = plsh_gs('brands');
            $new_brands = array();
                        
            foreach($keys as $key)
            {
                $new_brands[$key] = $old_brands[$key];
            }
            
            plsh_ss('brands', $new_brands);
        }
    }
}


function plsh_save_ad_locations()
{
    global $_SETTINGS;
    check_ajax_referer('plsh_save_ad_locations');
        
    parse_str($_POST['data'],$data);
    
    
    $locations_data = $_SETTINGS->admin_body['ads_manager']['ad_locations'];
    $locations = array_keys($locations_data);
    
    foreach($locations as $location)
    {
        $enabled = (!empty($data[$location . '_ad_enabled']) ? 'on' : 'off');
        $size_ads = (!empty($data[$location]) ? $data[$location] : false );
        $size = $ad_slug = false;
        
        $location_ad_data = array();
        
        if($size_ads)
        {
            $ad_keys = array_keys($size_ads);
            foreach($ad_keys as $ad)
            {
                $parts = explode('__', $ad);
                if(!empty($parts))
                {
                    $location_ad_data[] = array('ad_size' => $parts[0], 'ad_slug' => $parts[1]);
                }
            }
        }
        
        $result = array(
            'ad_enabled' => $enabled,
            'ads_linked' => $location_ad_data
        );
                
        plsh_ss($location, $result);
    }
    
    die(json_encode(array('status' => 'ok', 'msg' => 'Ads saved')));
    
}

function plsh_save_ads()
{
	global $_SETTINGS;
    check_ajax_referer('plsh_save_ads');
        
    $data = explode(';', $_POST['data']);
    array_pop($data); //remove last
    
    if(!empty($_POST['action']) && $_POST['action'] == 'plsh_save_ads')
    {
        foreach($data as $ad_group_key)
        {
            $ad_group_string = $_POST[$ad_group_key];
            parse_str($ad_group_string,$ad_group);
            
            $key_concat = implode(';', array_keys($ad_group));
            if(strpos($key_concat, '--') === false)    //if this is one item banner list
            {
                $new_group = array();
                foreach($ad_group as $key => $value)
                {
                    $start = strlen($ad_group_key . '__');
                    $new_key = substr($key, $start);
                    $new_group[$new_key] = $value;
                }
                
                plsh_ss($ad_group_key, $new_group);
            }
            else    //if this is multiple item banner list
            {
                $new_groups = array();
                foreach($ad_group as $key => $value)    //split content in new nicely separated arrays
                {
                    $parts = explode('--', $key);
                    $val_slug = $parts[1];
                    
                    $key_parts = explode('__', $parts[0]);                    
                    $key_slug = $key_parts[1];
                    
                    if(empty($new_groups[$key_slug]))
                    {
                        $new_groups[$key_slug] = array();
                    }
                    $new_groups[$key_slug][$val_slug] = $value;
                }
                
                foreach($new_groups as $key => $ng_item)
                {
                    if(!empty($ng_item['ad_slug']) && $ng_item['ad_slug']=='NA')
                    {
                        $new_groups[$key]['ad_slug'] = uniqid();
                    }
                }
                
                plsh_ss($ad_group_key, $new_groups);
            }
        }
    }
    
    die(json_encode(array('status' => 'ok', 'msg' => 'Ads saved')));
}


function plsh_import_page() {
    
    global $plsh_install_page_list;
    check_ajax_referer('plsh_import_page');
    
    parse_str($_POST['data']);

    if(!empty($plsh_install_page_list[$group]) && !empty($plsh_install_page_list[$group][$key]))
    {
        $page = $plsh_install_page_list[$group][$key];
        $page_data = unserialize(base64_decode($page['data']));
        $pageid = 0;
        		
        if(!empty($page_data))
        {
            $return = wp_insert_post($page_data[0], true);
            if(is_integer($return))
            {
                $pageid = $return;
            }
        }
        
        if(!empty($set_role) && $pageid > 0)
        {
            if($page['role'] == 'home')
            {
                update_option( 'page_on_front', $pageid );
                update_option( 'show_on_front', 'page' );
            }
            elseif($page['role'] == 'blog')
            {
                update_option( 'page_for_posts', $pageid );
            }
        }
		
		if($pageid > 0)
        {
			//insert post meta
			if(!empty($page_data[0]['post_meta']))
			{
				foreach($page_data[0]['post_meta'] as $key => $value)
				{
					if(is_array($value) && count($value) == 1)
					{
						$value = $value[0];
					}
					add_post_meta($pageid, $key, $value, true);
				}
			}
		}
    }
    
    die(json_encode(array('status' => 'ok', 'id' => $pageid)));
}

function plsh_output_theme_setting($option) {
	 
    if(!empty($option['value']))
    {
        $value = $option['value'];
    }
    else
    {
        $value = plsh_gs($option['slug']);
    }    
    
	$value = stripslashes($value);    
    
	$depend_class = $display_class = '';
	if(!empty($option['dependant'])) 	//if this option is dependant of other option
	{		
		$dep_slug = $option['dependant'];
        $dep_parts = explode(' ', $dep_slug);
        foreach($dep_parts as $dep_part)
        {
            $depend_class .= " depend_".$dep_part;
        }
		
		$display_class = 'depend_hide';
				
		if(plsh_gs($dep_slug)) 
		{
			if(plsh_gs($dep_slug) == 'on')
			{
				$display_class = '';
			}
		}		
	}
	
	$return = '<div class="form-item clearfix type-' . $option['type'] . ' ' . $depend_class . ' ' . $display_class. '">';
    
    $description = '';
    if(!empty($option['description']))
    {
        $description = '<span class="tooltip-1"><i>' . $option['description'] . '</i></span>';
    }
	
	 if($option['type'] == "textbox") {
	 	
        $return.= '<p class="label">' . $option['title'] . ' ' . $description . '</p>';
        
        if(!empty($option['warning']))
        {
            $return.= '<div class="row-wrapper-2">';
            $return.= '      <div class="row">';
            $return.= '          <input name="' . $option['slug'] . '" value="' . htmlspecialchars($value) . '" type="text" />';
            $return.= '      </div>';
            $return.= '     <div class="row">';
            $return.= '         <div class="info-message-1">' . $option['warning'] . '</div>';
            $return.= '     </div>';
            $return.= '</div>';
        }
        else
        {
            $return.= '<input name="' . $option['slug'] . '" value="' . htmlspecialchars($value) . '" type="text" />';
        }        
        
	 }
	  elseif($option['type'] == "textarea") {
          
		$return.= '<p class="label">' . $option['title'] . ' ' . $description . '</p>';
        
        if(!empty($option['warning']))
        {
            $return.= '<div class="row-wrapper-2">';
            $return.= '      <div class="row">';
            $return.= '          <textarea name="' . $option['slug'] . '" $value>' . htmlspecialchars($value) . '</textarea>';
            $return.= '      </div>';
            $return.= '     <div class="row">';
            $return.= '         <div class="info-message-1">' . $option['warning'] . '</div>';
            $return.= '     </div>';
            $return.= '</div>';
        }
        else
        {
            $return.= '<textarea name="' . $option['slug'] . '">' . htmlspecialchars($value) . '</textarea>';
        }
	 }
	 elseif($option['type'] == "checkbox") {
	
        $return.= '<p class="label">' . $option['title'] . ' ' . $description . '</p>';
        $return.= '<input name="' . $option['slug'] . '" id="' . $option['slug'] . '" type="checkbox" class="styled"';
        if($value == 'on') { $return.= ' checked="checked"'; }
		$return.= ' />'; 
		
		//$return.= '<div class="description"><label for="'.$option['slug'].'">';
		//$return.= $option['description'];
		//$return.= '</label></div>';
	
	 }
     elseif($option['type'] == "switcher") {
	
        $return.= '<p class="label">' . $option['title'] . ' ' . $description . '</p>';
		
        if(!empty($option['warning']))
        {
            $return.= '<div class="row-wrapper-2">';
            $return.= '      <div class="row">';
            $return.= '     <label class="switch-wrapper"><input name="' . $option['slug'] . '" id="' . $option['slug'] . '" type="checkbox" class="switch"';
            if($value == 'on') { $return.= ' checked="checked"'; }
            $return.= '     /></label>';           
            $return.= '      </div>';
            $return.= '     <div class="row">';
            $return.= '         <div class="info-message-1">' . $option['warning'] . '</div>';
            $return.= '     </div>';
            $return.= '</div>';
        }
        else
        {
            $return.= '<label class="switch-wrapper"><input name="' . $option['slug'] . '" id="' . $option['slug'] . '" type="checkbox" class="switch"';
            if($value == 'on') { $return.= ' checked="checked"'; }
            $return.= ' /></label>'; 
        }       
        
	
	 }
	 elseif($option['type'] == "select") {
	
        $return.= '<p class="label">' . $option['title'] . ' ' . $description . '</p>';
        
        if(!empty($option['warning']))
        {
            $return.= '<div class="row-wrapper-2">';
            $return.= '      <div class="row">';
            
            $return.= '<select name="'.$option['slug'].'" class="default" style="width: 347px;">';
		
            foreach($option['data'] as $key => $data) {
                $return.= '<option value="'. $key .'"';
                if($key == $value) { $return.= ' selected="selected"'; }
                $return.= '>' . $data . '</option>';
            }

            $return.= '</select>';
            
            $return.= '      </div>';
            $return.= '     <div class="row">';
            $return.= '         <div class="info-message-1">' . $option['warning'] . '</div>';
            $return.= '     </div>';
            $return.= '</div>';
        }
        else
        {
            $return.= '<select name="'.$option['slug'].'" class="default" style="width: 347px;">';
		
            foreach($option['data'] as $key => $data) {
                $return.= '<option value="'. $key .'"';
                if($key == $value) { $return.= ' selected="selected"'; }
                $return.= '>' . $data . '</option>';
            }

            $return.= '</select>';
        }
		
		//$return.= $option['description'];

	
	 }
	 elseif($option['type'] == "fileupload") {
	
        $return.= '<p class="label">' . $option['title'] . ' ' . $description . '</p>';
        $return.= '<input type="text" id="' .  $option['slug'] . '" name="' .  $option['slug'] . '" value="' . $value . '" class="styled image-id" />';
		$return.= '<a href="#" class="button-1 upload_image_button">' . __('Select file', 'polaris') . '</a>';
	 }
	 	 
	$return.= '</div>'; 
 	//$return.= '</div>';
 	
 	echo $return;
 }

function plsh_handle_admin_actions() 
{
    $action = (!empty($_GET['plsh_action']) ? $_GET['plsh_action'] : '' );
	if($action == 'install-auto-pages')
    {
        plsh_add_auto_pages();
        add_action('admin_notices', 'plsh_page_install_success_notification');
        remove_action('admin_notices', 'plsh_page_install_notification');
    }
    elseif($action == 'dismiss-auto-pages')
    {
        update_option('plsh_page_install_dismissed', true);
        remove_action('admin_notices', 'plsh_page_install_notification');
    }
    elseif($action == 'dismiss-thumb-regen')
    {
        update_option('plsh_page_thumb_regen_dismissed', true);
        remove_action('admin_notices', 'plsh_thumbnail_regenerate_notification');
    }
}


function plsh_demo_import_launcher()
{
    check_ajax_referer('plsh_demo_import_launcher');    
    parse_str($_POST['data'], $data);

    ob_start();
    
    if($data['step'] == 1)
    {
        $import = new Plsh_Demo_Import($data['demo']);
    }
    else
    {
        $import = get_option('plsh_import_' . $data['key']);
    }
    
    switch($data['step']) {
        case 1:
            $import->setupDefaultThumb();
            $import->importCategories();
			$import->importProductCategories();
            break;
        case 2:
            $import->importPages();
			$import->importHomeAndBlog();
            break;
        case 3:
            $import->importPosts();
			
            break;
        case 4:
            $import->importProducts();
            break;
        case 5:
            $import->importMenus();
            $import->importConstellation();
            break;
        case 6:
            $import->importSidebarsWidgets();
            break;
        case 7:
            $import->modifyPreset();
            $import->saveImportLogToDB();
            break;
    }

    update_option('plsh_import_' . $data['key'], $import);
    
    echo json_encode(array('status' => 'ok'));

    $response = ob_get_contents();
    ob_end_clean();
    die($response);
}
 
function plsh_remove_newsletter_notification()
{
	check_ajax_referer('plsh_remove_newsletter_notification');    
    ob_start();
	
	update_option('plsh_hide_admin_newsletter', true);
	
	echo json_encode(array('status' => 'ok'));
	
	$response = ob_get_contents();
    ob_end_clean();
    die($response);
}

function plsh_extra_google_fonts()
{
	check_ajax_referer('plsh_extra_google_fonts');
	parse_str($_POST['data'], $data);
    ob_start();
	
	if(!empty($data['fonts']))
	{
		$fonts = explode(',', $data['fonts']);
		update_option('plsh_extra_google_fonts', $fonts);
	}
	else
	{
		update_option('plsh_extra_google_fonts', array());
	}
	
	$response = ob_get_contents();
    ob_end_clean();
    die($response);
}


function plsh_save_theme_registration()
{
	check_ajax_referer('plsh_save_theme_registration');
    ob_start();
	
	if(!empty($_POST['status']))
	{
		$status = $_POST['status'];
		
		if($status == 'on')
		{
			$url = PLSH_THEME_REGISTER_API_URL;
			
			//validate variables
			$attrs = array('username', 'api_key', 'purchase_code', 'wp_url', 'tf_item_id');
			foreach($attrs as $attr)
			{
				if(!empty($_POST[$attr]))
				{
					$url = add_query_arg($attr, esc_attr($_POST[$attr]), $url);
				}
			}
						
			$response_json = plsh_file_get_contents_curl($url);
			$response = json_decode($response_json, true);
						
			//success. Save the result
			if($response['message'] == '200 OK')
			{	
				$data = array(
					'tf_username' => $_POST['username'],
					'tf_purchase_code' => $_POST['purchase_code'],
					'tf_api_key' => $_POST['api_key'],
					'status' => 'on'
				);		

				plsh_ss('theme_register', $data);
			}
			
			//output result
			echo $response_json;
		}
		elseif($status == 'off')
		{
			$url = PLSH_THEME_DEREGISTER_API_URL;

			//validate variables
			$attrs = array('username', 'purchase_code');
			foreach($attrs as $attr)
			{
				if(!empty($_POST[$attr]))
				{
					$url = add_query_arg($attr, esc_attr($_POST[$attr]), $url);
				}
			}
			
			$response_json = plsh_file_get_contents_curl($url);
			$response = json_decode($response_json, true);
			
			//success. Save the result
			if($response['message'] == '200 OK')
			{	
				$data = array(
					'tf_username' => $_POST['username'],
					'tf_purchase_code' => $_POST['purchase_code'],
					'tf_api_key' => $_POST['api_key'],
					'status' => 'off'
				);		

				plsh_ss('theme_register', $data);
			}
			
			//output result
			echo $response_json;
		}
	}
	
	$response = ob_get_contents();
    ob_end_clean();
    die($response);
}
?>