<?php
$brands = plsh_gs('brands');
?>
<div class="section-item clearfix<?php if(empty($brands)) { echo ' hidden'; } ?>" id="all_brands">
    <ul class="brand-list">
        <h3><?php _e('Click and drag to change the order of brands', 'polaris'); ?></h3>
        <div class="brand-list-item-wrap">
            <ul id="sortable">
                <?php 
                if(!empty($brands))
                {
                    foreach($brands as $key => $brand) { ?>
                        <li class="ui-state-default" id="<?php echo esc_attr($key); ?>">
                            <?php echo '<img src="' . plsh_banner_image_src($brand['image']) . '" alt="" />'; ?>
                            <?php echo '<a href="#" class="delete-brand"></a>'; ?>
                        </li>
                    <?php } 
                }
                ?>
            </ul>
        </div>
    </ul>
</div>
<div class="section-item clearfix" id="create_brand">
    <h3><?php _e('Add new Brand', 'polaris'); ?></h3>
    <form name="add-new" class="no-submit">
        <input type="hidden" name="type" value="new" />
        <?php
            plsh_output_theme_setting(array(
                'slug' => 'url',
                'title' => 'Brand URL',
                'description' => 'Link to the location of this brand\'s products in your shop',
                'type'  => 'textbox',
                'value' => ''
            ));

            plsh_output_theme_setting(array(
                'slug' => 'brand_image',
                'title' => 'Upload brand logo',
                'description' => 'Recommended image size is 100x50px',
                'type' => 'fileupload',
                'default' => '',
            ));
        ?>
        <div class="form-item clearfix">
            <a href="#" id="add_new" class="button-1">Add Brand</a>
        </div>

    </form>
</div>

<script type="text/javascript">
    jQuery(document).ready(function () {

        jQuery( "#sortable" ).sortable({
            stop: function(event,ui) { 

                update_brand_list();
            }
        });
        jQuery( "#sortable" ).disableSelection();

        jQuery('#add_new').click(function(){

            var result = jQuery('form[name=add-new]').serialize();

            var admin_ajax = '<?php echo site_url() .'/wp-admin/admin-ajax.php'; ?>';
            var nonce = '<?php echo wp_create_nonce('plsh_add_brand') ?>';
            var data = { action: 'plsh_add_brand', _ajax_nonce: nonce, data: result};

            jQuery.post(admin_ajax,data,function(msg){
                admin.show_save_result(msg);

                if(msg['status'] === 'ok')
                {
                    var element = '<li class="ui-state-default" id="' + msg.key + '"><img src="' + msg.data.image + '" alt=""><a href="#" class="delete-brand"></a></li>';
                    jQuery( "#sortable" ).append(element);
                    
                    jQuery('#create_brand .form-item input').attr('value', '');
                    jQuery('#create_brand .form-item .filename').html('');
                    jQuery('#create_brand .form-item .uploader .filename').html('No file selected');
                    
                    jQuery('#all_brands').fadeIn(200);
                }

            }, 'json');

            return false;
        });
        
        jQuery('.brand-list-item-wrap').on('click', '.delete-brand', function(){

            var element = jQuery(this).parents('li').remove();
            update_brand_list();
            return false;
        });
        
        
        function update_brand_list() {
            
            var keys = '';
            jQuery('#sortable li').each(function(){
                keys += ',' + jQuery(this).attr('id');
            });
            keys = keys.substring(1);

            var result = 'keys=' + keys + '&type=sort'
            var admin_ajax = '<?php echo site_url() .'/wp-admin/admin-ajax.php'; ?>';
            var nonce = '<?php echo wp_create_nonce('plsh_add_brand') ?>';
            var data = { action: 'plsh_add_brand', _ajax_nonce: nonce, data: result};

            jQuery.post(admin_ajax,data,function(msg){}, 'json');
            
        }
    });
    
    var global_image_url = '<?php echo site_url() .'/wp-admin/admin-ajax.php'; ?>?action=plsh_upload_image&_ajax_nonce=<?php echo wp_create_nonce('plsh_upload_image') ?>';
</script>