<!DOCTYPE html>
<!--[if lt IE 7]>      <html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html <?php language_attributes(); ?> class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?> class="no-js"> <!--<![endif]-->
    
	<!-- BEGIN head -->
	<head>        
		<!-- Title -->
		<title><?php wp_title('|', true, 'right'); ?></title>
        
        <!-- Meta tags -->
		<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no" />
        <meta charset="<?php bloginfo( 'charset' ); ?>">
        
		<?php
			$pingback = get_bloginfo( 'pingback_url' );
			if(is_string($pingback) && strlen($pingback) > 0)
			{
				?><link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" /><?php
			}
		?>
		
		<?php
			if ( is_singular() && get_option( 'thread_comments' ) )
            {
                wp_enqueue_script( 'comment-reply' );
            }
		?>
        
        <?php if (have_posts()):while(have_posts()):the_post(); endwhile; endif;?>
                
		<?php if (is_single()) : ?>
		<?php $img = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'plsh_product_single'); ?>
		<script type="application/ld+json">
		{
		  "@context": "http://schema.org",
		  "@type": "NewsArticle",
		  "headline": "<?php the_title(); ?>",
		  "alternativeHeadline": "<?php echo plsh_excerpt(20); ?>",
		  
		 "image": ["<?php if($img) { echo esc_url($img[0]); } ?>"],
		  "datePublished": "<?php echo esc_attr(get_the_date('Y-m-dTH:i:s')); ?>",
		  "description": "<?php echo plsh_excerpt(50); ?>",
		  "articleBody": "<?php echo strip_tags(get_the_content()); ?>"
		}
		</script>
		<?php endif; ?>
		
        <?php wp_head(); ?>
	</head>
	<?php $bg_mode = get_theme_mod('background_mode', plsh_gs('background_mode')); ?>
	<body <?php body_class($bg_mode); ?>>
		
		<?php 
			$use_paralax = get_theme_mod('use-parallax', plsh_gs('use-parallax'));
			$parallax1 = get_theme_mod('parallax-bg-1', plsh_gs('parallax-bg-1'));
			$parallax2 = get_theme_mod('parallax-bg-2', plsh_gs('parallax-bg-2'));
						
			if($use_paralax && $bg_mode == 'boxed')
			{
				echo '<div id="parallax-bg-1" style="background-image: url(' . $parallax1 . ')"></div>';
				echo '<div id="parallax-bg-2" style="background-image: url(' . $parallax2 . ')"></div>';
			}
		?>
		
        <div class="focus">
            <?php get_template_part('theme/templates/header'); ?>