<?php

/******************* DEFAULT DATA *******************/
/* Override this function in child theme to change image sizes */

if(!function_exists('plsh_images_sizes'))
{
	function plsh_images_sizes()
	{
		return array(
			'plsh_blog_thumb_single'         => array( 875, 350, true ),
			'plsh_blog_thumb_single_large'   => array( 1170, 350, true ),
			'plsh_blog_thumb_list'           => array( 350, 350, true ),
			'plsh_catalog_head_image'        => array( 1980, 200, true ),
			'plsh_catalog_item'              => array( 320, 320, true ),
			'plsh_product_single'            => array( 635, 635, true ),
			'plsh_widget_item'               => array( 55, 55, true ),
		);
	}
}

/******************* DEFAULT DATA *******************/

$auto_pages = array(
	'home' => array(
		'name' => 'Home',
		'slug' => 'home',        
        'content' => '[vc_row el_class="full-width" video_opts="" multi_color_overlay="" bg_color_value="#1dd2e2"][vc_column width="1/1"][product_slider count="8" columns="4" title="Products" url="|title:Albums|"][/vc_column][/vc_row][vc_row bg_color_value="#ffffff" video_opts="" multi_color_overlay="" seperator_type="tilt_left_seperator" seperator_shape_background="#1dd2e2" el_class="full-width" seperator_svg_height="100" seperator_position="top_bottom_seperator"][vc_column width="1/1"][special_product_list count="6" columns="3" shortcodes="featured_products,recent_products,sale_products,best_selling_products,top_rated_products" show_first="recent_products"][/vc_column][/vc_row][vc_row el_class="full-width" video_opts="" multi_color_overlay=""][vc_column width="1/1"][special_offers][offer_item title="Title #1" description="Description #1" url="|title:Shop|" btn_text="Start shopping"][offer_item title="Title #2" description="Description #2" url="|title:Shop|" btn_text="Get them"][offer_item title="Title #3" description="Description #3" url="|title:Shop|" btn_text="Start shopping"][offer_item url="|title:Shop|" title="Title #4" description="Description #4" btn_text="Get IT"][/special_offers][/vc_column][/vc_row][vc_row el_class="full-width" video_opts="" multi_color_overlay=""][vc_column width="1/1"][contact_map main_title="+123 456 789 0" sub_title="Call our support 24/7" btn_text="Leave us a message" url="|title:Homepage|" lat="56.942641" lng="24.08218" marker_lat="56.9477428" marker_lng="24.0653094" zoom="14" title="Our contact information"][/vc_column][/vc_row]',
		'id' => '',
		'role' => 'front_page'
	),
	'blog' => array(
		'name' => 'Blog',
		'slug' => 'blog',
		'content' => '',
		'id' => '',
		'role' => 'posts'
	),
);

$sidebars = array(
    array(
        'name' => __('Default', 'polaris'),
        'id'   => 'default_sidebar',
        'description' => __('Default Sidebar', 'polaris'),
        'class' => '',
        'before_widget' => '<div id="%1$s" class="sidebar-item filter-item %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>'
    ),
    array(
        'name' => __('Shop', 'polaris'),
        'id'   => 'shop_sidebar',
        'description' => __('Shop sidebar', 'polaris'),
        'class' => '',
        'before_widget' => '<div id="%1$s" class="sidebar-item filter-item %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>'
    ),
    array(
        'name' => __('Footer', 'polaris'),
        'id'   => 'footer_sidebar',
        'description' => __('Footer Sidebar', 'polaris'),
        'class' => '',
        'before_widget' => '<div id="%1$s" class="col footer-widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<div class="layout-title"><span>',
        'after_title'   => '</span></div>'
    ),
);

$page_types = array(
    'blog' => 'Blog',
    'single_post' => 'Single post',
    'categories' => 'Categories',
    'search' => 'Search Results',
    'archives' => 'Archives',
    'page' => 'Page',
    //'shop' => 'Shop Catalog',
    //'product' => 'Single product',
    //'forum' => 'Forum (bbPress)'
);

$post_categories = array('' => 'None');
$cat_objects = get_categories(array('type' => 'post'));
foreach($cat_objects as $cat)
{
    $post_categories[$cat->cat_ID] = $cat->name;
}

$custom_fonts = array(
    'general_font',
    'logo_font',
    'menu_font',
    'content_block_title_font'
);

$theme = wp_get_theme();
$version = $theme->get('Version');

/******************* STATIC *******************/

$_settings_static = array(
	'theme_name' => 'Polaris',
	'theme_slug' => 'polaris',
	'theme_version' => $version,
	'theme_homepage' => '',
	'sync_url' => '',
    'image_sizes' => plsh_images_sizes(),
    'page_types' => $page_types,
    'support_url' => 'http://planetshine.net/redirect.php?theme=polaris-woo&v=' . $version,
);

$google_fonts = plsh_get_all_google_fonts();

/******************* HIDDEN SETTINGS *******************/

$_settings_hidden = array(
	'auto_pages' => $auto_pages,
    'sidebars'  => $sidebars,
    'fonts' => $google_fonts,
    'custom_fonts' => $custom_fonts,
    'page_sidebars' => array(),
    'brands' => array(),
	'theme_register' => array(
		'tf_username' => '',
		'tf_purchase_code' => '',
		'tf_api_key' => '',
		'status' => ''
	),
    'presets' => array(
        'fashion' => array(
            'visual_colors' => array(
				'text-color-1' => '#333',
				'base-color-4' => '#949494',
				'accent-color-1' => '#007aff',
				'base-color-5' => '#e8e8e8',
				'base-color-1' => '#000',
				'base-color-2' => '#fff',
				'base-color-3' => '#333',
				'product-block-transparency' => 0
			),
            'visual_header' => array(
				'logo-color' => '#333',
				'dock-background' => '#e8e8e8',
				'dock-text-color' => '#333',
				'header-background' => '#f5f5f5',
				'header-transparency' => 0,
				'cart-menu-text-color' => '#333',
				'menu-background' => '#333',
				'menu-text-color' => '#fff',
				'full-height-header-background' => '#333',
				'full-height-header-text-color' => '#949494',
			),
			'visual_footer' => array(
				'footer-background' => '#f5f5f5',
				'footer-transparency' => 0,
				'footer-title-color' => '#949494',
				'footer-text-color' => '#333',
				'copyright-background' => '#e8e8e8',
				'copyright-text-color' => '#949494',
			),
			'visual_background' => array(
				'background_image' => '',
				'background_repeat' => 'repeat',
				'background_attachment' => 'fixed',
				'body-background-1' => '#f5f5f5',
				'checkout-background' => '#fff',
				'checkout-table-background' => '#ffffdb',
				'checkout-table-background-accent' => '#f2f2be'
			),
            'visual_fonts' => array(
				'general_font' => 'Raleway',
				'logo_font' => 'Raleway',
				'menu_font' => 'Raleway',
				'content_block_title_font' => 'Raleway',
				'title-font-weight' => '300',
				'title-font-size' => '24px',
				'menu-font-weight' => '700',
				'menu-font-size' => '18px'
			),
			'visual_borders' => array(
				'border-color-1' => '#dbdbdb',
				'input-border-color-1' => '#dbdbdb',
				'border-thickness' => '1px',
				'title-border-thickness' => '2px'
			)
        ),
        'coffee' => array(
            'visual_colors' => array(
				'text-color-1' => '#ffdacf',
				'base-color-4' => '#ff742e',
				'accent-color-1' => '#ff742e',
				'base-color-5' => '#632613',
				'base-color-1' => '#000',
				'base-color-2' => '#fff',
				'base-color-3' => '#000',
				'product-block-transparency' => 0
			),
            'visual_header' => array(
				'logo-color' => '#ffdacf',
				'dock-background' => '#632613',
				'dock-text-color' => '#ffdacf',
				'header-background' => '#381004',
				'header-transparency' => 0,
				'cart-menu-text-color' => '#ffdacf',
				'menu-background' => '#000000',
				'menu-text-color' => '#fff',
				'full-height-header-background' => '#333',
				'full-height-header-text-color' => '#949494',
			),
			'visual_footer' => array(
				'footer-background' => '#381004',
				'footer-transparency' => 0,
				'footer-title-color' => '#ff742e',
				'footer-text-color' => '#ffdacf',
				'copyright-background' => '#632613',
				'copyright-text-color' => '#ffdacf',
			),
			'visual_background' => array(
				'background_image' => '',
				'background_repeat' => 'repeat',
				'background_attachment' => 'fixed',
				'body-background-1' => '#381004',
				'checkout-background' => '#000',
				'checkout-table-background' => '#000',
				'checkout-table-background-accent' => '#000'
			),
            'visual_fonts' => array(
				'general_font' => 'Raleway',
				'logo_font' => 'Raleway',
				'menu_font' => 'Raleway',
				'content_block_title_font' => 'Raleway',
				'title-font-weight' => '300',
				'title-font-size' => '24px',
				'menu-font-weight' => '700',
				'menu-font-size' => '18px'
			),
			'visual_borders' => array(
				'border-color-1' => '#602914',
				'input-border-color-1' => '#602914',
				'border-thickness' => '1px',
				'title-border-thickness' => '2px'
			)
        ),
		'vintage' => array(
            'visual_colors' => array(
				'text-color-1' => '#444444',
				'base-color-4' => '#444444',
				'accent-color-1' => '#c99700',
				'base-color-5' => '#ffffff',
				'base-color-1' => '#000',
				'base-color-2' => '#fff',
				'base-color-3' => '#444444',
				'product-block-transparency' => 1
			),
            'visual_header' => array(
				'logo-color' => '#444444',
				'dock-background' => '#e8e8e8',
				'dock-text-color' => '#444444',
				'header-background' => '#fff',
				'header-transparency' => 1,
				'cart-menu-text-color' => '#444444',
				'menu-background' => '#444444',
				'menu-text-color' => '#fff',
				'full-height-header-background' => '#444444',
				'full-height-header-text-color' => '#949494',
			),
			'visual_footer' => array(
				'footer-background' => '#fff',
				'footer-transparency' => 1,
				'footer-title-color' => '#333',
				'footer-text-color' => '#333',
				'copyright-background' => '#fff',
				'copyright-text-color' => '#333',
			),
			'visual_background' => array(
				'background_image' => '',
				'background_repeat' => 'repeat',
				'background_attachment' => 'fixed',
				'body-background-1' => '#fff',
				'checkout-background' => '#fff',
				'checkout-table-background' => '#ffffdb',
				'checkout-table-background-accent' => '#f2f2be'
			),
            'visual_fonts' => array(
				'general_font' => 'Roboto+Slab',
				'logo_font' => 'Roboto+Slab',
				'menu_font' => 'Roboto+Slab',
				'content_block_title_font' => 'Roboto+Slab',
				'title-font-weight' => '300',
				'title-font-size' => '24px',
				'menu-font-weight' => '500',
				'menu-font-size' => '18px'
			),
			'visual_borders' => array(
				'border-color-1' => '#fff',
				'input-border-color-1' => '#dbdbdb',
				'border-thickness' => '1px',
				'title-border-thickness' => '1px'
			)
        ),
        'tea' => array(
            'visual_colors' => array(
				'text-color-1' => '#333',
				'base-color-4' => '#0b7700',
				'accent-color-1' => '#6f3327',
				'base-color-5' => '#d4edc9',
				'base-color-1' => '#000',
				'base-color-2' => '#fff',
				'base-color-3' => '#333',
				'product-block-transparency' => 0
			),
            'visual_header' => array(
				'logo-color' => '#333',
				'dock-background' => '#d4edc9',
				'dock-text-color' => '#333',
				'header-background' => '#f2eac9',
				'header-transparency' => 0,
				'cart-menu-text-color' => '#333',
				'menu-background' => '#252525',
				'menu-text-color' => '#fff',
				'full-height-header-background' => '#333',
				'full-height-header-text-color' => '#949494',
			),
			'visual_footer' => array(
				'footer-background' => '#f2eac9',
				'footer-transparency' => 0,
				'footer-title-color' => '#6f3327',
				'footer-text-color' => '#333',
				'copyright-background' => '#d4edc9',
				'copyright-text-color' => '#333',
			),
			'visual_background' => array(
				'background_image' => '',
				'background_repeat' => 'repeat',
				'background_attachment' => 'fixed',
				'body-background-1' => '#f2f1e8',
				'checkout-background' => '#fff',
				'checkout-table-background' => '#ffffdb',
				'checkout-table-background-accent' => '#f2f2be'
			),
            'visual_fonts' => array(
				'general_font' => 'Raleway',
				'logo_font' => 'Raleway',
				'menu_font' => 'Raleway',
				'content_block_title_font' => 'Raleway',
				'title-font-weight' => '300',
				'title-font-size' => '24px',
				'menu-font-weight' => '700',
				'menu-font-size' => '18px'
			),
			'visual_borders' => array(
				'border-color-1' => '#c6debe',
				'input-border-color-1' => '#c6debe',
				'border-thickness' => '1px',
				'title-border-thickness' => '2px'
			)
        ),
        'jewelry' => array(
            'visual_colors' => array(
				'text-color-1' => '#252525',
				'base-color-4' => '#c99700',
				'accent-color-1' => '#920000',
				'base-color-5' => '#f4f1e5',
				'base-color-1' => '#000',
				'base-color-2' => '#fff',
				'base-color-3' => '#252525',
				'product-block-transparency' => 0
			),
            'visual_header' => array(
				'logo-color' => '#252525',
				'dock-background' => '#f4f1e5',
				'dock-text-color' => '#252525',
				'header-background' => '#fff',
				'header-transparency' => 0,
				'cart-menu-text-color' => '#252525',
				'menu-background' => '#252525',
				'menu-text-color' => '#fff',
				'full-height-header-background' => '#333',
				'full-height-header-text-color' => '#949494',
			),
			'visual_footer' => array(
				'footer-background' => '#fff',
				'footer-transparency' => 0,
				'footer-title-color' => '#920000',
				'footer-text-color' => '#252525',
				'copyright-background' => '#f4f1e5',
				'copyright-text-color' => '#252525',
			),
			'visual_background' => array(
				'background_image' => '',
				'background_repeat' => 'repeat',
				'background_attachment' => 'fixed',
				'body-background-1' => '#fff',
				'checkout-background' => '#fff',
				'checkout-table-background' => '#ffffdb',
				'checkout-table-background-accent' => '#f2f2be'
			),
            'visual_fonts' => array(
				'general_font' => 'Raleway',
				'logo_font' => 'Raleway',
				'menu_font' => 'Raleway',
				'content_block_title_font' => 'Raleway',
				'title-font-weight' => '300',
				'title-font-size' => '24px',
				'menu-font-weight' => '700',
				'menu-font-size' => '18px'
			),
			'visual_borders' => array(
				'border-color-1' => '#ede0b8',
				'input-border-color-1' => '#ede0b8',
				'border-thickness' => '1px',
				'title-border-thickness' => '2px'
			)
        ),
    ),
	'presets_meta' => array(
        'fashion' => array('name' => 'Default theme style', 'image' => 'demo-polaris-fashion.png'),
        'coffee' => array('name' => 'Coffee theme style', 'image' => 'demo-polaris-coffee.png'),
		'vintage' => array('name' => 'Black & white style', 'image' => 'demo-polaris-vintage.png'),
        'tea' => array('name' => 'Green style', 'image' => 'demo-polaris-tea.png'),
        'jewelry' => array('name' => 'White & yellow style', 'image' => 'demo-polaris-jewelry.png'),
    )
);


/***************** ADMIN SETTINGS *****************/

$_settings_admin_head = array(
    'general' => array(
		'name'     => 'General',
		'slug'     => 'general',
        'type'     => 'plsh_option_list',
        'icon'     => 'cog',
        'children' => array(
            'logo_fav' => array(
                'name' => 'Logo',
                'slug' => 'logo_fav'
            ),
            'header' => array(
                'name' => 'Header',
                'slug' => 'header'
            ),
            'footer' => array(
                'name' => 'Footer',
                'slug' => 'footer'
            ),
            'blog' => array(
                'name' => 'Blog',
                'slug' => 'blog'
            ),
            'post' => array(
                'name' => 'Post',
                'slug' => 'post'
            ),
            'shop' => array(
                'name' => 'Shop',
                'slug' => 'shop'
            ),
            'product' => array(
                'name' => 'Product',
                'slug' => 'product'
            ),            
            'social' => array(
                'name' => 'Social Networks',
                'slug' => 'social'
            ),
            'gmaps' => array(
                'name' => 'Google Maps',
                'slug' => 'gmaps'
            ),
			'css_mode' => array(
                'name' => 'CSS Mode',
                'slug' => 'css_mode',
				'description' => 'If your server encounters problems with using LESS for stylesheets, you can enable CSS Mode until resolving the issues. This mode is "read only" and visual editor settings will be ignored. See Theme Status page for more info about potential causes of issues.'
            ),
            'custom_code' => array(
                'name' => 'Custom Code',
                'slug' => 'custom_code'
            ),
        ),
	),
    'visual_editor' => array(
		'name'     => 'Visual Editor',
		'slug'     => 'visual_editor',
        'type'     => 'plsh_visual_editor',
        'icon'     => 'adjust',
        'link'     => get_admin_url() . 'customize.php?return=' . get_admin_url() . 'admin.php?page=' . $_settings_static['theme_slug'] . '-admin',
        'children' => array(
            'visual_background' => array(
                'name' => 'Backgrounds',
                'slug' => 'visual_background',
                'priority' => 5
            ),
            'visual_header' => array(
                'name' => 'Header',
                'slug' => 'visual_header',
                'priority' => 6
            ),
			'visual_footer' => array(
                'name' => 'Footer',
                'slug' => 'visual_footer',
                'priority' => 7
            ),
            'visual_fonts' => array(
                'name' => 'Fonts',
                'slug' => 'visual_fonts',
                'priority' => 9
            ),
            'visual_colors' => array(
                'name' => 'Colors',
                'slug' => 'visual_colors',
                'priority' => 8
            ),
			'visual_borders' => array(
                'name' => 'Borders',
                'slug' => 'visual_borders',
                'priority' => 9
            ),
        ),
    ),
	'register_theme' => array(
		'name'     => 'Register Theme',
		'slug'     => 'register_theme',
        'type'     => 'plsh_register_theme',
        'icon'     => 'key',
    ),
	'setup' => array(
        'name'     => 'Status &amp; Import',
		'slug'     => 'setup',
        'type'     => 'plsh_setup_section',
        'icon'     => 'wrench',
        'children' => array(
            'status' => array(
                'name'     => 'Status',
                'slug'     => 'status',
                'type'     => 'plsh_status',
                'children' => array(
					'setup_checklist' => array(
                        'name' => 'Setup Checklist',
                        'slug' => 'setup_checklist'
                    ),
					'plugin_status' => array(
                        'name' => 'Plugin Status',
                        'slug' => 'plugin_status'
                    ),
					'version' => array(
                        'name' => 'Version',
                        'slug' => 'version'
                    ),
				)
            ),
            'install_pages' => array(
                'name'     => 'Install Pages',
                'slug'     => 'install_pages',
                'type'     => 'plsh_install_pages',
                'children' => array()
            ),
            'load_preset' => array(
                'name'     => 'Color Presets',
                'slug'     => 'load_preset',
                'type'     => 'plsh_load_preset',
                'children' => array()
            ),
            'demo_import' => array(
                'name'     => 'Demo Import',
                'slug'     => 'demo_import',
                'type'     => 'plsh_demo_import',
                'children' => array()
            ),
            'backup_reset' => array(
                'name'     => 'Backup & Reset',
                'slug'     => 'backup_reset',
                'type'     => 'plsh_backup_reset',
                'children' => array(
                    'backup_settings' => array(
                        'name' => 'Backup Settings',
                        'slug' => 'backup_settings'
                    ),
                    'import_settings' => array(
                        'name' => 'Import Settings',
                        'slug' => 'import_settings'
                    ),
                    'reset_settings' => array(
                        'name' => 'Reset Settings',
                        'slug' => 'reset_settings'
                    ),
                ),
            ),
        )
    ),
    'ads_manager' => array(
        'name'     => 'Advertisement',
		'slug'     => 'ads_manager',
        'type'     => 'plsh_ads_manager',
        'icon'     => 'picture-o',
        'children' => array(
            'ads_manager' => array(
                'name' => 'Manage',
                'slug' => 'ads_manager',
                'children' => array(
                    '728x90' => array(
                        'name' => '728x90px',
                        'slug' => '728x90',
                    ),
                    '468x60' => array(
                        'name' => '468x60px',
                        'slug' => '468x60',
                    ),
                    '250x250' => array(
                        'name' => '250x250px',
                        'slug' => '250x250',
                    ),
                    /* '150x125' => array(
                        'name' => '150x125px (x4)',
                        'slug' => '150x125',
                    ),*/
                ),
            ),
            /* 'ad_locations' => array(
                'name' => 'Locations',
                'slug' => 'ad_locations',
                'children' => array(
                    'header_add' => array(
                        'name' => 'Header',
                        'slug' => 'header_add',
                    ),
                    'blog_ad' => array(
                        'name' => 'Blog index',
                        'slug' => 'blog_ad',
                    ),
                    'post_ad' => array(
                        'name' => 'Blog Post',
                        'slug' => 'post_ad',
                    ),
                    'gallery_ad' => array(
                        'name' => 'Gallery index',
                        'slug' => 'gallery_ad',
                    ),
                    'single_gallery_ad' => array(
                        'name' => 'Gallery item',
                        'slug' => 'single_gallery_ad',
                    ),                    
                ),
            ), */
        )
    ),
    'brand_manager' => array(
		'name'     => 'Product Brands',
		'slug'     => 'brand_manager',
        'type'     => 'plsh_brand_manager',
        'icon'     => 'star',
    ),
    'sidebar_manager' => array(
		'name'     => 'Sidebar Manager',
		'slug'     => 'sidebar_manager',
        'type'     => 'plsh_sidebar_manager',
        'icon'     => 'cube',
        'children' => array(
            'all_sidebars' => array(
                'name' => 'All sidebars',
                'slug' => 'all_sidebars',
            ),
            'create_sidebar' => array(
                'name' => 'Create sidebar',
                'slug' => 'create_sidebar',
            ),
            'manage_sidebars' => array(
                'name' => 'Manage sidebars',
                'slug' => 'manage_sidebars',
            )
        )
    ),
	'google_fonts' => array(
		'name'     => 'Google Fonts',
		'slug'     => 'google_fonts',
        'type'     => 'plsh_google_fonts',
        'icon'     => 'font',
    ),
    'help_support' => array(
		'name'     => 'Help & Support',
		'slug'     => 'help_support',
        'type'     => 'plsh_support_iframe',
        'icon'     => 'info-circle',
        'children' => array()
    )
);


$_settings_admin_body = array(
	'general' => array(
        'logo_fav' => array(
            'use_image_logo' => array(
                'slug' => 'use_image_logo',
                'title' => 'Use logo image',
                'description' => 'Otherwise your site name will be displayed',
                'type' => 'switcher',
                'default' => '',
            ),
            'logo_image' => array(
                'slug' => 'logo_image',
                'title' => 'Upload logo image',
                'description' => '',
                'type' => 'fileupload',
                'default' => '',
                'dependant' => 'use_image_logo',
            ),
            'logo_image_alt' => array(
                'slug' => 'logo_image_alt',
                'title' => 'Logo image ALT text',
                'description' => '',
                'type' => 'textbox',
                'default' => '',
                'dependant' => 'use_image_logo',
            ),
        ),
        'header' => array(
			'show_header_dock' => array(
                'slug' => 'show_header_dock',
                'title' => 'Show top header row',
                'description' => '',
                'type' => 'checkbox',
                'default' => 'on',
            ),
            'header_info_text' => array(
                'slug' => 'header_info_text',
                'title' => 'Header info text/html',
                'description' => 'Use html &lt;span&gt; tags, to split pieces of info',
                'type' => 'textbox',
                'default' => '<span><i class="fa fa-phone-square"></i>+88-908-656-346</span><span>Call our support 24/7</span>',
				'dependant' => 'show_header_dock',
            ),
            'show_header_social' => array(
                'slug' => 'show_header_social',
                'title' => 'Show header social icons',
                'description' => '',
                'type' => 'checkbox',
                'default' => '',
				'dependant' => 'show_header_dock',
            ),
			'show_header_search' => array(
                'slug' => 'show_header_search',
                'title' => 'Show header search',
                'description' => '',
                'type' => 'checkbox',
                'default' => 'on',
            ),
			'header_logo_position' => array(
                'slug' => 'header_logo_position',
                'title' => 'Logo position',
                'description' => '',
                'type' => 'select',
                'data' => array('left' => 'Left', 'center' => 'Center',  'right' => 'Right'),
                'default' => 'center',
				'description'	=> 'Does not apply to mobile version of site'
            ),
        ),
        'footer' => array(
            'show_footer_brands' => array(
                'slug' => 'show_footer_brands',
                'title' => 'Show brands carousel',
                'description' => '',
                'type' => 'checkbox',
                'default' => '',
            ),
            'footer_brands_pages' => array(
                'slug' => 'footer_brands_pages',
                'title' => 'Show brands on',
                'description' => '',
                'type' => 'select',
                'data' => array('all_pages' => 'All pages', 'not_homepage' => 'All pages except homepage',  'home_and_woocommerce' => 'Homepage & WooCommerce pages', 'woocommerce_only' => 'Only WooCommerce pages'),
                'default' => 'not_homepage',
                'dependant' => 'show_footer_brands'
            ),
            'copyright' => array(
                'slug' => 'copyright',
                'title' => 'Copyright text',
                'description' => '',
                'type' => 'textbox',
                'default' => '',
            ),
            'newsletter_form_action' => array(
                'slug' => 'newsletter_form_action',
                'title' => 'Newsletter form action',
                'description' => '',
                'warning' => 'For more information on where to get form action value, please reffer to documentation',
                'type' => 'textarea',
                'default' => '',
            ),
            'newsletter_form_method' => array(
                'slug' => 'newsletter_form_method',
                'title' => 'Newsletter form method',
                'description' => '',
                'type' => 'select',
                'data' => array('POST' => 'POST', 'GET' => 'GET'),
                'default' => 'POST',
            ),
            'newsletter_email_field' => array(
                'slug' => 'newsletter_email_field',
                'title' => 'Newsletter email field name',
                'description' => '',
                'type' => 'textbox',
                'default' => 'EMAIL',
            ),
        ),
        'blog' => array(
            'blog_title' => array(
                'slug' => 'blog_title',
                'title' => 'Blog title',
                'description' => '',
                'type' => 'textbox',
                'default' => 'Blog',
            ),
            'force_post_excerpt' =>  array(
                'slug' => 'force_post_excerpt',
                'title' => 'Use automatic post excerpts',
                'description' => 'If manual excerpt is not defined, theme will automatically cap articles at 50 words',
                'type' => 'checkbox',
                'default' => 'on',
            ),
            'sidebar_position' => array(
                'slug' => 'sidebar_position',
                'title' => 'Sidebar position',
                'description' => 'This setting also applies to sidebar position for blog posts and pages',
                'type' => 'select',
                'data' => array('left' => 'Left', 'right' => 'Right' ),
                'default' => 'right',
            ),
        ),
        'post' => array(
            'post_style' => array(
                'slug' => 'post_style',
                'title' => 'Default Post style',
                'description' => 'You can alter this setting on post by post basis by editing settings in post editor',
                'type' => 'select',
                'data' => array('sidebar' => 'With sidebar', 'no-sidebar' => 'Full width' ),
                'default' => 'no-sidebar',
            ),
            'show_post_share' =>  array(
                'slug' => 'show_post_share',
                'title' => 'Show share buttons',
                'description' => '',
                'type' => 'checkbox',
                'default' => 'on',
            ),
        ),
        'shop' => array(
            'show_quick_features' =>  array(
                'slug' => 'show_quick_features',
                'title' => 'Show quick catalog actions on hover',
                'description' => 'Quick features allow to add to cart, wishlist or use quickview feature',
                'type' => 'checkbox',
                'default' => 'on',
            ),
            'show_quickview' =>  array(
                'slug' => 'show_quickview',
                'title' => 'Enable product quickview from catalog',
                'description' => '',
                'type' => 'checkbox',
                'default' => 'on',
                'dependant' => 'show_quick_features'
            ),
            'show_catalog_slider' =>  array(
                'slug' => 'show_catalog_slider',
                'title' => 'Enable product image slider',
                'description' => '',
                'type' => 'checkbox',
                'default' => 'on',
            ),
            'zoom_catalog_images_on_hover' =>  array(
                'slug' => 'zoom_catalog_images_on_hover',
                'title' => 'Zoom images on mouse hover',
                'description' => '',
                'type' => 'checkbox',
                'default' => 'on',
            ),
			'large_sale_labels' =>  array(
                'slug' => 'large_sale_labels',
                'title' => 'Use large sale labels',
                'description' => '',
                'type' => 'checkbox',
                'default' => 'on',
            ),
			'show_category_trail' =>  array(
                'slug' => 'show_category_trail',
                'title' => 'Show category trail',
                'description' => '',
                'type' => 'checkbox',
                'default' => 'on',
            ),
			'sidebar_position_shop' => array(
                'slug' => 'sidebar_position_shop',
                'title' => 'Sidebar position',
                'description' => 'This setting also applies to for all other woocommerce pages with sidebars',
                'type' => 'select',
                'data' => array('left' => 'Left', 'right' => 'Right'),
                'default' => 'left',
            ),
        ),
        'product' => array(
            'global_product_notes' => array(
                'slug' => 'global_product_notes',
                'title' => 'Global product notes to customer',
                'description' => 'Add notes to give customers extra info about shipping etc. HTML allowed.',
                'type' => 'textarea',
                'default' => '<span><i class="fa fa-check-circle"></i>In stock</span><span><i class="fa fa-truck"></i>Ships within 24 h</span><span><i class="fa fa-ban"></i>10 item limit per customer</span>',
            ),
			'show_variant_thumbs' =>  array(
                'slug' => 'show_variant_thumbs',
                'title' => 'Show product variant thumbs in slider',
                'description' => '',
                'type' => 'checkbox',
                'default' => 'on',
            ),
        ),
        'social' => array(
            'social_facebook' => array(
                'slug' => 'social_facebook',
                'title' => 'Facebook profile URL',
                'description' => '',
                'type' => 'textbox',
                'default' => '',
            ),
            'social_twitter' => array(
                'slug' => 'social_twitter',
                'title' => 'Twitter account URL',
                'description' => '',
                'type' => 'textbox',
                'default' => '',
            ),
            'social_pinterest' => array(
                'slug' => 'social_pinterest',
                'title' => 'Pinterest account URL',
                'description' => '',
                'type' => 'textbox',
                'default' => '',
            ),
            'social_youtube' => array(
                'slug' => 'social_youtube',
                'title' => 'Youtube account URL',
                'description' => '',
                'type' => 'textbox',
                'default' => '',
            ),
            'social_gplus' => array(
                'slug' => 'social_gplus',
                'title' => 'Google plus account URL',
                'description' => '',
                'type' => 'textbox',
                'default' => '',
            ),
            'social_instagram' => array(
                'slug' => 'social_instagram',
                'title' => 'Instagram account URL',
                'description' => '',
                'type' => 'textbox',
                'default' => '',
            ),            
            'social_rss' => array(
                'slug' => 'social_rss',
                'title' => 'RSS URL',
                'description' => '',
                'type' => 'textbox',
                'default' => '',
            ),
        ),
        'gmaps' => array(
            'gmaps_api_key' => array(
                'slug' => 'gmaps_api_key',
                'title' => 'API key',
                'description' => 'Your Google Maps API key',
                'type' => 'textbox',
                'default' => ''
            ),
        ),
		'css_mode' => array(
			'enable_css_mode' => array(
				'slug' => 'enable_css_mode',
                'title' => 'Enable CSS mode',
                'description' => 'This should only be done in case of issues with using LESS stylsheets!',
                'type' => 'checkbox',
                'default' => 'off',
			),
		),
		'custom_code' => array(
            'custom_css' => array(
                'slug' => 'custom_css',
                'title' => 'Custom CSS',
                'description' => 'If you want to modify the appearance of any elements on site, you can write the CSS code here.',
                'type' => 'textarea',
                'default' => '',
            ),
            'custom_js' => array(
                'slug' => 'custom_js',
                'title' => 'Custom Javascript',
                'description' => 'If you want add any extra Javascript to your site, like Google Analytics code, paste it here (no script tags needed).',
                'type' => 'textarea',
                'default' => '',
            )
        ),
    ),
    'visual_editor' => array(
        'visual_background' => array(
			'background_mode' => array(
                'slug' => 'background_mode',
                'title' => 'Background mode',
                'description' => '',
                'type' => 'select',
                'data' => array('full-width-bg' => 'Full width', 'boxed' => 'Boxed'),
                'default' => 'full-width-bg',
            ),
            'background_image' => array(
                'slug' => 'plsh_background_image',
                'title' => 'background image (boxed mode only)',
                'description' => '',
                'type' => 'background',
                'default' => '',
            ),
            'background_repeat' => array(
                'slug' => 'plsh_background_repeat',
                'title' => 'Background image repeat',
                'description' => '',
                'type' => 'select',
                'data' => array('repeat' => 'Repeat', 'no-repeat' => 'No-repeat'),
                'default' => 'repeat',
            ),
            'background_attachment' => array(
                'slug' => 'plsh_background_attachment',
                'title' => 'Background image attachment',
                'description' => '',
                'type' => 'select',
                'data' => array('scroll' => 'Scrollable', 'fixed' => 'Fixed to top'),
                'default' => 'fixed',
            ),
            'body-background-1' => array(
                'slug' => 'body-background-1',
                'title' => 'Main background color (box content & full width)',
                'description' => '',
                'type' => 'color',
                'default' => '#f5f5f5',
            ),
			'body-box-side_color' => array(
                'slug' => 'body-box-side_color',
                'title' => 'Body background color (boxed mode only)',
                'description' => '',
                'type' => 'color',
                'default' => '#fff',
            ),
			'checkout-background' => array(
                'slug' => 'checkout-background',
                'title' => 'Checkout background color',
                'description' => '',
                'type' => 'color',
                'default' => '#fff',
            ),
			'checkout-table-background' => array(
                'slug' => 'checkout-table-background',
                'title' => 'Checkout table background (primary)',
                'description' => '',
                'type' => 'color',
                'default' => '#ffffdb',
            ),
			'checkout-table-background-accent' => array(
                'slug' => 'checkout-table-background-accent',
                'title' => 'Checkout table background (secondary)',
                'description' => '',
                'type' => 'color',
                'default' => '#ffffdb',
            ),
			'use-parallax' => array(
                'slug' => 'use-parallax',
                'title' => 'Use parallax background (boxed mode only & disables regular background image)',
                'description' => '',
                'type' => 'checkbox',
                'default' => 0,
            ),
			'parallax-bg-1' => array(
                'slug' => 'parallax-bg-1',
                'title' => 'Parallax background image nr. 1',
                'description' => '',
                'type' => 'background',
                'default' => PLSH_IMG_URL . 'parallax-bg-1.png',
            ),
			'parallax-bg-2' => array(
                'slug' => 'parallax-bg-2',
                'title' => 'Parallax background image nr. 2',
                'description' => '',
                'type' => 'background',
                'default' => PLSH_IMG_URL . 'parallax-bg-2.png',
            ),
        ),
		'visual_header' =>array(
			'logo-color' => array( //*******
                'slug' => 'logo-color',
                'title' => 'Logo text color',
                'description' => '',
                'type' => 'color',
                'default' => '#333',
            ),
			'dock-background' => array( //*******
                'slug' => 'dock-background',
                'title' => 'Top menu background',
                'description' => '',
                'type' => 'color',
                'default' => '#e8e8e8',
            ),
			'dock-text-color' => array( //*******
                'slug' => 'dock-text-color',
                'title' => 'Top menu text color',
                'description' => '',
                'type' => 'color',
                'default' => '#333',
            ),
			'header-background' => array( //*******
                'slug' => 'header-background',
                'title' => 'Header background',
                'description' => '',
                'type' => 'color',
                'default' => '#f5f5f5',
            ),
			'header-transparency' => array( //*******
                'slug' => 'header-transparency',
                'title' => 'Header is transparent (voids background color, allows the main background image to be seen)',
                'description' => '',
                'type' => 'checkbox',
                'default' => 0,
            ),
			'cart-menu-text-color' => array( //*******
                'slug' => 'cart-menu-text-color',
                'title' => 'Cart menu text color',
                'description' => '',
                'type' => 'color',
                'default' => '#333',
            ),
			'menu-background' => array( //*******
                'slug' => 'menu-background',
                'title' => 'Main menu background',
                'description' => '',
                'type' => 'color',
                'default' => '#333',
            ),
			'menu-text-color' => array( //*******
                'slug' => 'menu-text-color',
                'title' => 'Main menu text color',
                'description' => '',
                'type' => 'color',
                'default' => '#fff',
            ),
			'full-height-header-background' => array( //*******
                'slug' => 'full-height-header-background',
                'title' => '100% slider header background',
                'description' => '',
                'type' => 'color',
                'default' => '#333',
            ),
			'full-height-header-text-color' => array( //*******
                'slug' => 'full-height-header-text-color',
                'title' => '100% slider header text color',
                'description' => '',
                'type' => 'color',
                'default' => '#949494',
            ),
		),
		'visual_footer' => array(
			'footer-background' => array( //*******
                'slug' => 'footer-background',
                'title' => 'Footer background',
                'description' => '',
                'type' => 'color',
                'default' => '#f5f5f5',
            ),
			'footer-transparency' => array( //*******
                'slug' => 'footer-transparency',
                'title' => 'Footer is transparent (voids background color, allows the main background image to be seen)',
                'description' => '',
                'type' => 'checkbox',
                'default' => 0,
            ),
			'footer-title-color' => array( //*******
                'slug' => 'footer-title-color',
                'title' => 'Footer title color',
                'description' => '',
                'type' => 'color',
                'default' => '#949494',
            ),
			'footer-text-color' => array( //*******
                'slug' => 'footer-text-color',
                'title' => 'Footer text color',
                'description' => '',
                'type' => 'color',
                'default' => '#333',
            ),
			'copyright-background' => array( //*******
                'slug' => 'copyright-background',
                'title' => 'Copyright background',
                'description' => '',
                'type' => 'color',
                'default' => '#e8e8e8',
            ),
			'copyright-text-color' => array( //*******
                'slug' => 'copyright-text-color',
                'title' => 'Copyright text color',
                'description' => '',
                'type' => 'color',
                'default' => '#949494',
            ),
		),
        'visual_fonts' => array(
            'general_font' => array(
                'slug' => 'general_font',
                'title' => 'General text font',
                'description' => 'Used for most texts in the theme',
                'type' => 'font_select',
                'data' => $google_fonts,
                'default' => 'Raleway',
            ),
            'logo_font' => array(
                'slug' => 'logo_font',
                'title' => 'Logo text font',
                'description' => '',
                'type' => 'font_select',
                'data' => $google_fonts,
                'default' => 'Raleway',
            ),            
            'menu_font' => array(
                'slug' => 'menu_font',
                'title' => 'Menu text font',
                'description' => '',
                'type' => 'font_select',
                'data' => $google_fonts,
                'default' => 'Raleway',
            ),
			'menu-font-size' => array( //*******
                'slug' => 'menu-font-size',
                'title' => 'Menu font size',
                'description' => '',
				'type' => 'select',
                'data' => array('12px' => '12px', '14px' => '14px', '16px' => '16px', '18px' => '18px', '20px' => '20px', '22px' => '22px', '24px' => '24px', '26px' => '26px',),
                'default' => '18px',
            ),
			'menu-font-weight' => array( //*******
                'slug' => 'menu-font-weight',
                'title' => 'Menu font weight',
                'description' => '',
				'type' => 'select',
                'data' => array('300' => '300', '500' => '500', '700' => '700', '900' => '900'),
                'default' => '700',
            ),
			'content_block_title_font' => array(
                'slug' => 'content_block_title_font',
                'title' => 'Content block title font',
                'description' => '',
                'type' => 'font_select',
                'data' => $google_fonts,
                'default' => 'Raleway',
            ),
			'title-font-size' => array( //*******
                'slug' => 'title-font-size',
                'title' => 'Block title font size',
                'description' => '',
				'type' => 'select',
                'data' => array('18px' => '18px', '20px' => '20px', '22px' => '22px', '24px' => '24px', '26px' => '26px', '28px' => '28px', '30px' => '30px', '32px' => '32px',),
                'default' => '24px',
            ),
			'title-font-weight' => array( //*******
                'slug' => 'title-font-weight',
                'title' => 'Block title font weight',
                'description' => '',
				'type' => 'select',
                'data' => array('300' => '300', '500' => '500', '700' => '700', '900' => '900'),
                'default' => '300',
            ),

        ),
        'visual_colors' => array(
			'text-color-1' => array( //*******
                'slug' => 'text-color-1',
                'title' => 'Regular text color - posts, pages etc',
                'description' => '',
                'type' => 'color',
                'default' => '#333',
            ),
			'base-color-4' => array( //*******
                'slug' => 'base-color-4',
                'title' => 'Special text color - headings, titles etc.',
                'description' => '',
                'type' => 'color',
                'default' => '#949494',
            ),
			'accent-color-1' => array( //*******
                'slug' => 'accent-color-1',
                'title' => 'Accent color - hovers, buttons etc.',
                'description' => '',
                'type' => 'color',
                'default' => '#007aff',
            ),
			'base-color-5' => array( //*******
                'slug' => 'base-color-5',
                'title' => 'Content block background color',
                'description' => '',
                'type' => 'color',
                'default' => '#e8e8e8',
            ),
			'base-color-1' => array( //*******
                'slug' => 'base-color-1',
                'title' => 'Shadow color',
                'description' => '',
                'type' => 'color',
                'default' => '#000',
            ),
			'base-color-2' => array( //*******
                'slug' => 'base-color-2',
                'title' => 'Buttons, labels, form backgrounds etc.',
                'description' => '',
                'type' => 'color',
                'default' => '#fff',
            ),
			'base-color-3' => array( //*******
				'slug' => 'base-color-3',
                'title' => 'Product titles, inputs and other general purpose texts',
                'description' => '',
                'type' => 'color',
                'default' => '#333',
            ),
			'product-block-transparency' => array( //*******
                'slug' => 'product-block-transparency',
                'title' => 'Product blocks are transparent (voids background color, allows the main background image to be seen)',
                'description' => '',
                'type' => 'checkbox',
                'default' => 0,
            ),
        ),
		'visual_borders' => array(
			'border-color-1' => array( //*******
                'slug' => 'border-color-1',
                'title' => 'Border color',
                'description' => '',
                'type' => 'color',
                'default' => '#dbdbdb',
            ),
			'input-border-color-1' => array( //*******
                'slug' => 'input-border-color-1',
                'title' => 'Input border color',
                'description' => '',
                'type' => 'color',
                'default' => '#dbdbdb',
            ),
			'border-thickness' => array( //*******
                'slug' => 'border-thickness',
                'title' => 'Thickness of general borders',
                'description' => '',
				'type' => 'select',
                'data' => array('1px' => '1px', '2px' => '2px', '3px' => '3px'),
                'default' => '1px',
            ),
			'title-border-thickness' => array( //*******
                'slug' => 'title-border-thickness',
                'title' => 'Thickness of block title borders',
                'description' => '',
				'type' => 'select',
                'data' => array('1px' => '1px', '2px' => '2px', '3px' => '3px'),
                'default' => '2px',
            ),
		)
    ),
    'ads_manager' => array(
        'ads_manager' => array(
            '728x90' => array(
                'slug' => '728x90',
                'title' => '728x90px',
                'description' => '',
                'default' => array(array('ad_enabled' => 'on', 'ad_slug' => 'default', 'ad_title' => 'Default 728x90', 'ad_type' => 'banner', 'googlead_content' => '', 'ad_file' => PLSH_IMG_URL . 'banner-728x90.png', 'ad_link' => '', 'ad_iframe_src' => ''))
            ),
            '468x60' => array(
                'slug' => '468x60',
                'title' => '468x60px',
                'description' => '',
                'default' => array(array('ad_enabled' => 'on', 'ad_slug' => 'default', 'ad_title' => 'Default 468x60', 'ad_type' => 'banner', 'googlead_content' => '', 'ad_file' => PLSH_IMG_URL . 'banner-468x60.png', 'ad_link' => '', 'ad_iframe_src' => ''))
            ),
            '250x250' => array(
                'slug' => '250x250',
                'title' => '250x250px',
                'description' => '',
                'default' => array(array('ad_enabled' => 'on', 'ad_slug' => 'default', 'ad_title' => 'Default 250x250', 'ad_type' => 'banner', 'googlead_content' => '', 'ad_file' => PLSH_IMG_URL . 'banner-250x250.jpg', 'ad_link' => '', 'ad_iframe_src' => ''))
            ),
            /* '150x125' => array(
                'slug' => '150x125',
                'title' => '150x125 (group of 4)',
                'description' => '',
                'default' => array(array('ad_enabled' => 'on', 'ad_slug' => 'default', 'ad_title' => 'Default 150x125', 'ad_type' => 'banner', 'googlead_content:0' => '', 'googlead_content:1' => '', 'googlead_content:2' => '', 'googlead_content:3' => '', 'ad_file:0' => PLSH_IMG_URL . 'banner-150x125.png', 'ad_link:0' => '', 'ad_file:1' => PLSH_IMG_URL . 'banner-150x125.png', 'ad_link:1' => '', 'ad_file:2' => PLSH_IMG_URL . 'banner-150x125.png', 'ad_link:2' => '', 'ad_file:3' => PLSH_IMG_URL . 'banner-150x125.png', 'ad_link:3' => '', 'ad_iframe_src:0' => '', 'ad_iframe_src:1' => '', 'ad_iframe_src:2' => '', 'ad_iframe_src:3' => ''))
            ),*/
        ),
        'ad_locations' => array(
            'header_ad' => array(
                'slug' => 'header_ad',
                'title' => 'Header',
                'description' => 'The main site banner visible in header. Supports 728x90 or 468x60 ads',
                'supports' => array('728x90', '468x60'),
                'default' => array('ad_enabled' => 'on', 'ad_slug' => 'default', 'ad_size' => '728x90')
            ),
            'blog_ad' => array(
                'slug' => 'blog_ad',
                'title' => 'Blog index',
                'description' => 'Ad that is visible below the list of posts. Supports 468x60 ads',
                'supports' => array('468x60'),
                'default' => array('ad_enabled' => 'on', 'ad_slug' => 'default', 'ad_size' => '468x60')
            ),
            'post_ad' => array(
                'slug' => 'post_ad',
                'title' => 'Blog Post',
                'description' => 'Ad that is visible below the a post. Supports 468x60 ads',
                'supports' => array('468x60'),
                'default' => array('ad_enabled' => 'on', 'ad_slug' => 'default', 'ad_size' => '468x60')
            ),
            'gallery_ad' => array(
                'slug' => 'gallery_ad',
                'title' => 'Gallery index',
                'description' => 'Ad that is visible below list of galleries. Supports 728x90 or 468x60 ads',
                'supports' => array('728x90', '468x60'),
                'default' => array('ad_enabled' => 'on', 'ad_slug' => 'default', 'ad_size' => '728x90')
            ),
            'single_gallery_ad' => array(
                'slug' => 'single_gallery_ad',
                'title' => 'Gallery item',
                'description' => 'Ad that is visible below open gallery content. Supports 728x90 or 468x60 ads',
                'supports' => array('728x90', '468x60'),
                'default' => array('ad_enabled' => 'on', 'ad_slug' => 'default', 'ad_size' => '728x90')
            ),
        ),
    ),
);

/*

	'general_settings' => array(
		'general_textbox' => array(
			'slug' => 'general_textbox',
			'title' => 'Textbox example',
			'description' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt',
			'default' => 'test',
			'type' => 'textbox'
		),
		'general_checkbox' => array(
			'slug' => 'general_checkbox',
			'title' => 'Checkbox example',
			'description' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt',
			'type' => 'checkbox',
			'default' => '',
		),
		'general_select' => array(
			'slug' => 'general_select',
			'title' => 'Select example',
			'description' => 'Lorem ipsum dolor sit amet',
			'type' => 'select',
			'data' => $select_example,
			'default' => '--',
			'dependant' => 'general_checkbox'
		),
		'general_textarea' => array(
			'slug' => 'general_textarea',
			'title' => 'Textarea example',
			'description' => 'Lorem ipsum dolor sit amet, consectetur adipisicing',
			'type' => 'textarea',
			'default' => '',
			'dependant' => 'general_checkbox'
		),
	)

*/

?>