<?php

if(function_exists('vc_map'))
{
    add_action( 'init', 'plsh_map_to_vc', 999 );
}

//replacement function to allow to use shortcodes without VC
if(!function_exists('vc_map'))
{
    function vc_build_link($url)
    {
        return array('url' => $url);
    }
}



if(!function_exists('sc_title_block'))
{
	function sc_title_block( $atts, $content ) {
		ob_start();
		global $post;

		extract( shortcode_atts( array(
			'title' => __('Title', 'polaris'),
			'url'   => '#',
		), $atts ) );

		$url_parts = vc_build_link($url);
		$url = $url_parts['url'];

		?>

		<!-- Latest blog posts -->

		<div class="container-fluid container-title">
			<div class="container">

				<div class="title-wrapper">
					<a href="<?php echo esc_url($url); ?>" class="title"><span><?php echo esc_html($title); ?></span></a>
				</div>

			</div>
		</div>		

		<?php
		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}

if(!function_exists('sc_post_list'))
{
	function sc_post_list( $atts, $content ) {
		ob_start();
		global $post;

		extract( shortcode_atts( array(
			'title' => __('Latest news', 'polaris'),
			'count' => 4,
			'columns' => 3,
			'url'   => '#',
			'category' => NULL,
		), $atts ) );

		
		$url_parts = vc_build_link($url);
		$url = $url_parts['url'];

		//Post List Query
		$params = array(
			'category_name' => $category,
		);
		$items = plsh_get_post_collection($params, $count, 1);

		?>
		<!-- Latest blog posts -->

		<div class="container-fluid container-title">
			<div class="container">

				<div class="title-wrapper">
					<a href="<?php echo esc_url($url); ?>" class="title"><span><?php echo esc_html($title); ?></span></a>
				</div>

				<a href="<?php echo esc_url($url); ?>" class="view-all"><?php _e('View all blog posts', 'polaris'); ?></a>

			</div>
		</div>

		<div class="container-fluid blog blog-widget">
			
			<div class="container">

				<div class="blog-list">

				<?php if(!empty($items)) : ?>
					
					<?php
					$chunks = array_chunk($items, $columns);
					
					foreach($chunks as $key => $chunk)
					{
						if(!empty($chunk))
						{
							?>
							<div class="items columns-<?php echo $columns; ?>">

								<?php
								$c=0;
								foreach($chunk as $post)
								{
									setup_postdata($post);
									get_template_part('theme/templates/post-list-item');
									$c++;
								}
								
								//make sure there are 3 items
								if($c == 1)
								{
									echo '<div class="item"></div>' . '<div class="item"></div>';
								}
								elseif($c == 2)
								{
									echo '<div class="item"></div>';
								}
								?>

							</div>
							<?php
						}
					}
					?>
					
				<?php endif; ?>
					
				</div>

			</div>
			
		</div>
		
		<?php
		$return = ob_get_contents();
		ob_end_clean();
		wp_reset_postdata();
		return $return;
	}
}

if(!function_exists('sc_welcome_block'))
{
	function sc_welcome_block($atts, $content) {
		ob_start();
			extract( shortcode_atts( array(
			'title' => 'Welcome to Polaris shop',
			'link_text'	=> 'Start shopping',
			'image'	=> '',
			'url'	=> ''
		), $atts ) );

		$url_parts = vc_build_link($url);
		$url = $url_parts['url'];
		
		if(is_numeric($image))
		{
			$src_parts = wp_get_attachment_image_src($image, 'plsh_product_single');
			if(!empty($src_parts))
			{
				$image = $src_parts[0];
			}
			else 
			{
				$image = '';
			}
		}
		?>

		<!-- Welcome message -->

		<div class="container-fluid welcome-message">
			<div class="container">
				<div class="image">
					<?php
					if($image != '')
					{
						echo '<img src="' . esc_url($image) . '" alt="' . esc_html($title) . '"/>';
					}
					?>
				</div>
				<div class="text">
					<h3><?php echo esc_html($title); ?></h3>
					<?php echo wpautop(plsh_kses_widget_html_field($content)); ?>
					<a href="<?php echo esc_url($url); ?>" class="link-continue"><?php echo esc_html($link_text); ?></a>
				</div>
			</div>
		</div>
		
		<?php
		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}


if(!function_exists('sc_contact_map'))
{
	function sc_contact_map($atts, $content) {
		ob_start();
			extract( shortcode_atts( array(
			'title' => 'Our contact information',
			'main_title' => '+123 456 789 0',
			'sub_title' => '',
			'btn_text' => __('Leave us a message', 'polaris'),
			'url' => '#',
			'lat' => '37.7749295',
			'lng' => '-122.4194155',
			'marker_lat' => '37.7749295',
			'marker_lng' => '-122.4194155',
			'zoom' => '12'
		), $atts ) );

		$url_parts = vc_build_link($url);
		$url = $url_parts['url'];

		$id = uniqid();
		?>

		<!-- Contacts map -->

		<div class="container-fluid container-title">
			<div class="container">

				<div class="title-wrapper">
					<a href="javascript:void(0);" class="title"><span><?php echo esc_html($title); ?></span></a>
				</div>

			</div>
		</div>

		<div class="contacts-map">

			<a href="javascript:void(0);" class="show-map"><?php _e('Show map', 'polaris'); ?></a>

			<div class="info">
				<div class="contacts">
					<h3><?php echo esc_html($main_title); ?></h3>
					<p><?php echo esc_html($sub_title); ?></p>
					<a href="<?php echo esc_url($url); ?>" class="btn-medium-1"><?php echo esc_html($btn_text); ?></a>
				</div>
			</div>

			<div id="map-<?php echo esc_attr($id); ?>" class="google-map" data-lat="<?php echo esc_attr($lat); ?>" data-lng="<?php echo esc_attr($lng); ?>" data-marker_lat="<?php echo esc_attr($marker_lat); ?>" data-marker_lng="<?php echo esc_attr($marker_lng); ?>" data-zoom="<?php echo esc_attr($zoom); ?>"></div>

		</div>

		<?php
		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}

if(!function_exists('sc_product_brands'))
{
	function sc_product_brands($atts, $content) {
		ob_start();
			extract( shortcode_atts( array(
			'title' => 'Shop by brand',
			'url'   => '#',
		), $atts ) );

		$url_parts = vc_build_link($url);
		$url = $url_parts['url'];

		$id = uniqid();
		?>

		<!-- Shop by brand -->
		<div class="container-fluid container-title">
			<div class="container">

				<div class="title-wrapper">
					<a href="<?php echo esc_url($url); ?>" class="title"><span><?php echo esc_html($title); ?></span></a>
				</div>

			</div>
		</div>

		<?php 

		$brands = plsh_gs('brands');

		if(!empty($brands))
		{
			$slide_count = ceil(count($brands)/8);
			$chunk_size = ceil(count($brands)/$slide_count);
			$chunks = array_chunk($brands, $chunk_size);
		?>

			<div class="container-fluid shop-by-brand">
				<div class="container">

					<div class="carousel slide" id="carousel-<?php echo esc_attr($id); ?>" data-ride="carousel">

						<?php if(!empty($chunks)) : ?>
						<div class="carousel-inner" role="listbox">

							<?php foreach($chunks as $key => $chunk) { ?>

								<!-- Slide -->
								<div class="item<?php if($key == 0) echo esc_attr(' active');?>">

									<div class="row">

										<?php
										foreach($chunk as $item)
										{
											echo do_shortcode('[brand_item url="' . $item['url'] . '" image="' . $item['image'] . '" ]');
										}
										?>

									</div>

								</div>

							<?php } ?>

							<?php if(count($chunks) > 1) : ?>
								<!-- Controls -->
								<a class="carousel-control left" href="#carousel-<?php echo esc_attr($id); ?>" role="button" data-slide="prev"></a>
								<a class="carousel-control right" href="#carousel-<?php echo esc_attr($id); ?>" role="button" data-slide="next"></a>
							<?php endif; ?>

						</div>
						<?php endif; ?>

					</div>

				</div>
			</div>

		<?php
		}

		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}

if(!function_exists('sc_brand_item'))
{
	function sc_brand_item($atts, $content) {
		ob_start();
			extract( shortcode_atts( array(
			'image'  => '',
			'url'   => '#',
		), $atts ) );        

		if(is_numeric($image))
		{
			$src_parts = wp_get_attachment_image_src($image, 'plsh_product_single');
			if(!empty($src_parts))
			{
				$image = $src_parts[0];
			}
			else 
			{
				$image = '';
			}
		}

		echo '<div class="col">';
			echo '<a href="' . esc_url($url) . '"><img src="' . esc_url($image) . '" alt=""></a>';
		echo '</div>';             

		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}


if(!function_exists('sc_product_features'))
{
	function sc_product_features($atts, $content) {
		ob_start();
			extract( shortcode_atts( array(
			'title' => '',
			'image'  => '',
		), $atts ) );
		?>
		<?php
			if(is_numeric($image))
			{
				$src_parts = wp_get_attachment_image_src($image, 'plsh_catalog_item');
				if(!empty($src_parts))
				{
					$image = $src_parts[0];
				}
				else 
				{
					$image = '';
				}
			}
		?>
		<div class="feature">
			<?php if($image) : ?>
			<div class="image">
				<div>
					<img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_html($title); ?>" />
				</div>
			</div>
			<?php endif; ?>
			<div class="text">
				<div>
					<h3><?php echo esc_html($title); ?></h3>
					<?php echo wpautop($content); ?>
				</div>
			</div>
		</div>

		<?php
		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}

if(!function_exists('sc_offer_item'))
{
	function sc_offer_item($atts, $content) {
		ob_start();
			extract( shortcode_atts( array(
			'title' => 'Special offers',
			'description' => '',
			'btn_text'  => 'Start shopping',
			'percent_off'   => '',
			'image'  => '',
			'url'   => '#',
		), $atts ) );

		if(is_numeric($image))
		{
			$src_parts = wp_get_attachment_image_src($image, 'plsh_product_single');
			if(!empty($src_parts))
			{
				$image = $src_parts[0];
			}
			else 
			{
				$image = '';
			}
		}

		$url_parts = vc_build_link($url);
		$url = $url_parts['url'];

		//remove whitespace
		$percent_off = trim($percent_off);

		global $_PLSH_WOO;
		?>

			<div class="offer" style="background-image: url(<?php echo esc_url($image); ?>);">
				<?php
				if(strlen($percent_off) > 0)
				{
					echo '<div class="' . $_PLSH_WOO->get_offer_tag_style(false) . '">';
						echo '<span><b>' . $percent_off . '</b>' . __('off', 'polaris') . '</span>';
					echo '</div>';
				}
				?>
				<div class="title">
					<h2><?php echo esc_html($title); ?></h2>
					<p><?php echo esc_html($description); ?></p>
				</div>
				<div class="start-shopping">
					<a href="<?php echo esc_url($url); ?>" class="btn-medium-2"><?php echo esc_html($btn_text); ?></a>
				</div>
			</div>

		<?php
		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}

if(!function_exists('sc_special_offers'))
{
	function sc_special_offers($atts, $content) {
		ob_start();
			extract( shortcode_atts( array(
			'title' => 'Special offers',
			'url'   => '#',
		), $atts ) );
		?>
		<?php
			$url_parts = vc_build_link($url);
			$url = $url_parts['url'];
		?>

			<!-- Collections --> 
			<div class="container-fluid container-title">
				<div class="container">

					<div class="title-wrapper">
						<a href="<?php echo esc_url($url); ?>" class="title"><span><?php echo esc_html($title); ?></span></a>
					</div>

				</div>
			</div>

			<div class="container-fluid">

				<div class="offers-grid">

					<?php echo do_shortcode($content); ?>

				</div>

			</div>

		<?php
		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}


if(!function_exists('sc_product_slider'))
{
	function sc_product_slider($atts, $content) {
		
		if(!plsh_is_woocommerce_active()) return false;
		
		ob_start();

		extract( shortcode_atts( array(
			'title' => 'Featured products',
			'url'   => '#',
			'count' => 8,
			'columns' => 4,
			'category' => NULL,
			'tag' => NULL,
			//'orderby'   => ''   
		), $atts ) );

		$url_parts = vc_build_link($url);
		$url = $url_parts['url'];

		$id = uniqid();
		
		global $_PLSH_WOO;
		?>
		<?php
			$items = $_PLSH_WOO->get_woocommerce_products_by_taxonomy($category, $tag, $count);
			if(!empty($items)) :

			$chunks = array_chunk($items, $columns);
		?>

			<!-- Catalog -->
			<div class="container-fluid container-title">
				<div class="container">

					<div class="title-wrapper">
						<a href="<?php echo esc_url($url); ?>" class="title"><span><?php echo esc_html($title); ?></span></a>
					</div>

					<a href="<?php echo esc_url($url); ?>" class="view-all"><?php _e('View all in this category', 'polaris'); ?></a>

				</div>
			</div>


			<div class="container">

				<div class="carousel slide product-slider" id="carousel-<?php echo esc_attr($id); ?>" data-ride="carousel">

					<?php if(count($chunks) > 1) : ?>
						<!-- Indicators -->
						<ol class="carousel-indicators">
							<?php for($i = 0; $i < count($chunks); $i++) { ?>
								<li data-target="#carousel-<?php echo esc_attr($id); ?>" data-slide-to="<?php echo esc_attr($i); ?>" <?php if($i == 0) { echo 'class="active"'; } ?>></li>
							<?php } ?>
						</ol>
					<?php endif; ?>

					<?php if(!empty($chunks)) : ?>
						<div class="carousel-inner" role="listbox">

							<?php foreach($chunks as $key => $chunk) { ?>

							<!-- Slide -->
							<div class="item<?php if($key == 0) echo esc_attr(' active');?>">
								<?php
									$ids = array();
									foreach($chunk as $item)
									{
										$ids[] = $item->ID;                                    
									}
									echo do_shortcode('[products columns="' . $columns . '" ids="' . implode(',', $ids) .'"]');
								?>
							</div>

							<?php } ?>

							<?php if(count($chunks) > 1) : ?>
								<!-- Controls -->
								<a class="carousel-control left" href="#carousel-<?php echo esc_attr($id); ?>" role="button" data-slide="prev"></a>
								<a class="carousel-control right" href="#carousel-<?php echo esc_attr($id); ?>" role="button" data-slide="next"></a>
							<?php endif; ?>

						</div>
					<?php endif; ?>

				</div>

			</div>

			<?php endif; ?>

		<?php
		$return = ob_get_contents();
		ob_end_clean();
		wp_reset_postdata();
		return $return;
	}
}


if(!function_exists('sc_product_category_list'))
{
	function sc_product_category_list($atts, $content) {
		
		if(!plsh_is_woocommerce_active()) return false;
		
		ob_start();

		extract( shortcode_atts( array(
			'count' => 8,
			'columns' => 4,
			'categories' => '',
			'show_first' => '',
			//'orderby'   => ''
		), $atts ) );

		$unique_id = uniqid();

		if(strlen($categories) > 0)
		{
			$categories = explode(',', $categories);
			if(!empty($categories))
			{
				//get first element, if show first is not in list
				if(!in_array($show_first, $categories))
				{
					$show_first = reset($categories);
				}
				$first_cat = get_term_by('slug', $show_first, 'product_cat');
				
				?>
				<div class="container-fluid container-title dynamic-product-collection-switcher" id="<?php echo esc_attr($unique_id); ?>" data-count="<?php echo esc_attr($count); ?>" data-columns="<?php echo esc_attr($columns); ?>" data-collection-type="category">
					<div class="container">

						<div class="title-wrapper">
							<a href="#" class="title <?php if(count($categories) > 1) { echo 'dropdown-toggle'; } ?>" data-toggle="dropdown" data-hover="dropdown"><span><?php if($first_cat) { echo esc_html($first_cat->name); } ?></span></a>
							<?php if(count($categories) > 1) : ?>
							<div class="dropdown-menu">
								<div class="section">
									<ul>
										<?php
											foreach($categories as $category)
											{
												$cat = get_term_by('slug', $category, 'product_cat');
												if($cat)
												{
													$class = '';
													if($category == $show_first) { $class = ' class="hidden"'; }
													echo '<li' . $class . '><a href="' . esc_url(get_term_link($cat)) . '" id="obj-' . $unique_id . '-' . $category . '"><span>' . $cat->name . '</span></a></li>';
												}
											}
										?>
									</ul>
								</div>
							</div>
							<?php endif; ?>
						</div>

						<?php
							if($first_cat)
							{
								echo '<a href="' . esc_url(get_term_link($first_cat)) . '" class="view-all">' . __('View all in this category', 'polaris') . '</a>';
							}
						?>
					</div>
				</div>

				<div class="container dynamic-product-collection-wrapper block-<?php echo esc_attr($unique_id); ?>">
					<?php
					foreach($categories as $category)
					{
						$class = 'home-shortcode-block ' . $category;
						if($category == $show_first) { $class .= ' active'; }

						echo '<div class="' . $class . '">';
						if($category == $show_first)   //Load only the first. Rest are loaded with AJAX
						{
							echo do_shortcode('[product_category category="' . $category . '" per_page="' . $count . '" columns="' . $columns . '"]');
						}
						echo '</div>';
					}
					?>
				</div>

				<?php if($first_cat) : ?>
					<div class="container-fluid container-title container-more view-all-<?php echo esc_attr($unique_id); ?>">
						<div class="container">
							<?php echo '<a href="' . esc_url(get_term_link($first_cat)) . '" class="view-all">' . __('View all in this category', 'polaris') . '</a>'; ?>
						</div>
					</div>
				<?php endif; ?>
			
				<?php
			}
		}
		$return = ob_get_contents();
		ob_end_clean();
		wp_reset_postdata();
		return $return;
	}
}


if(!function_exists('sc_special_product_list'))
{
	function sc_special_product_list($atts, $content) {

		if(!plsh_is_woocommerce_active()) return false;
		
		ob_start();

		extract( shortcode_atts( array(
			'count' => 8,
			'columns' => 4,
			'shortcodes' => 'featured_products,recent_products,sale_products,best_selling_products,top_rated_products',
			'show_first' => 'recent_products',
		), $atts ) );

		$shortcode_names = array(
			'featured_products' => __('Featured Products', 'polaris'),
			'recent_products' => __('Recent Products', 'polaris'),
			'sale_products' =>  __('On Sale Products', 'polaris'),
			'best_selling_products' => __('Best Selling Products', 'polaris'),
			'top_rated_products' => __('Top Rated Products', 'polaris'),
		);

		$unique_id = uniqid();

		if(strlen($shortcodes) > 0)
		{
			$shortcodes = explode(',', $shortcodes);
			if(!empty($shortcodes))
			{
				//get first element, if show first is not in list
				if(!in_array($show_first, $shortcodes))
				{
					$show_first = reset($shortcodes);
				}

				?>
				<div class="container-fluid container-title dynamic-product-collection-switcher" id="<?php echo esc_attr($unique_id); ?>" data-count="<?php echo esc_attr($count); ?>" data-columns="<?php echo esc_attr($columns); ?>" data-collection-type="special">
					<div class="container">

						<div class="title-wrapper">
							<a href="#" class="title <?php if(count($shortcodes) > 1) { echo 'dropdown-toggle'; } ?>" data-toggle="dropdown" data-hover="dropdown"><span><?php echo esc_html($shortcode_names[$show_first]); ?></span></a>
							<?php if(count($shortcodes) > 1) : ?>
							<div class="dropdown-menu">
								<div class="section">
									<ul>
										<?php
											foreach($shortcodes as $shortcode)
											{
												$class = '';
												if($shortcode == $show_first) { $class = ' class="hidden"'; }
												echo '<li' . $class . '><a href="#" id="obj-' . $unique_id . '-' . $shortcode .'"><span>' . $shortcode_names[$shortcode] . '</span></a></li>';
											}
										?>
									</ul>
								</div>
							</div>
							<?php endif; ?>
						</div>

						<?php echo '<a href="' . esc_url(get_permalink( wc_get_page_id( 'shop' ))) . '" class="view-all">' . __('Go to shop home', 'polaris') . '</a>'; ?>
					</div>
				</div>

				<div class="container dynamic-product-collection-wrapper block-<?php echo esc_attr($unique_id); ?>">
					<?php
					foreach($shortcodes as $shortcode)
					{
						$class = 'home-shortcode-block ' . $shortcode;
						if($shortcode == $show_first) { $class .= ' active'; }

						echo '<div class="' . $class . '">';
						if($shortcode == $show_first)   //Load only the first. Rest are loaded with AJAX
						{
							echo do_shortcode('[' . $shortcode . ' per_page="' . $count . '" columns="' . $columns . '"]');
						}
						echo '</div>';
					}
					?>
				</div>

				<div class="container-fluid container-title container-more view-all-<?php echo esc_attr($unique_id); ?>">
					<div class="container">
						<?php echo '<a href="' . esc_url(get_permalink( wc_get_page_id( 'shop' ))) . '" class="view-all">' . __('Go to shop home', 'polaris') . '</a>'; ?>
					</div>
				</div>
				<?php
			}
		}
		$return = ob_get_contents();
		ob_end_clean();
		wp_reset_postdata();
		return $return;
	}
}


if(!function_exists('sc_banner250'))
{
	function sc_banner250( $atts, $content ) {
		ob_start();

		extract( shortcode_atts( array(
			'banner' => ''
		), $atts ) );
		?>

		<?php
			if(!empty($banner))
			{
				$banner_parts = explode(',', $banner);
				$rand = rand(0, sizeof($banner_parts)-1);    //banner rotation
				$banner_id = $banner_parts[$rand];                
				$banner_data = plsh_get_banner_by_size_and_slug($banner_id, '250x250');

				if($banner_data) 
				{
				?>
					<div class="banner-250x250">
						<?php if($banner_data['ad_type'] == 'banner') { ?>
								<a href="<?php echo esc_url($banner_data['ad_link']); ?>" target="_blank"><img src="<?php echo esc_url(plsh_banner_image_src($banner_data['ad_file'])); ?>" alt="<?php echo esc_attr($banner_data['ad_title']); ?>"></a>
						<?php } elseif($banner_data['ad_type'] == 'iframe') { ?>
							<iframe class="iframe-250x250" scrolling="no" src="<?php echo esc_url($banner_data['ad_iframe_src']); ?>"></iframe>                        
						<?php } else {
								echo stripslashes($banner_data['googlead_content']);
						} ?>    
					</div>
				<?php
				}
			}

		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}


if(!function_exists('sc_banner468'))
{
	function sc_banner468( $atts, $content ) {
		ob_start();

		extract( shortcode_atts( array(
			 'banner' => ''
		), $atts ) );
		?>
		<?php
			if(!empty($banner))
			{
				$banner_parts = explode(',', $banner);
				$rand = rand(0, sizeof($banner_parts)-1);    //banner rotation
				$banner_id = $banner_parts[$rand];                
				$banner_data = plsh_get_banner_by_size_and_slug($banner_id, '468x60');

				if($banner_data) 
				{
				?>
				<div class="banner-468x60">
					<?php if($banner_data['ad_type'] == 'banner') { ?>
						<a href="<?php echo esc_url($banner_data['ad_link']); ?>" target="_blank"><img src="<?php echo esc_url(plsh_banner_image_src($banner_data['ad_file'])); ?>" alt="<?php echo esc_attr($banner_data['ad_title']); ?>"></a>
					<?php } elseif($banner_data['ad_type'] == 'iframe') { ?>
						<iframe class="iframe-468x60" scrolling="no" src="<?php echo esc_url($banner_data['ad_iframe_src']); ?>"></iframe>
					<?php } else {
						echo stripslashes($banner_data['googlead_content']);
					} ?>
				</div>
				<?php
				}
			}    

		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}

	
if(!function_exists('sc_banner728'))
{
	function sc_banner728( $atts, $content ) {
		ob_start();

		extract( shortcode_atts( array(
			 'banner' => ''
		), $atts ) );
		?>
		<?php
			if(!empty($banner))
			{
				$banner_parts = explode(',', $banner);
				$rand = rand(0, sizeof($banner_parts)-1);    //banner rotation
				$banner_id = $banner_parts[$rand];                
				$banner_data = plsh_get_banner_by_size_and_slug($banner_id, '728x90');

				if($banner_data) 
				{
				?>
				<div class="banner-728x90">
					<?php if($banner_data['ad_type'] == 'banner') { ?>
					<a href="<?php echo esc_url($banner_data['ad_link']); ?>" target="_blank"><img src="<?php echo esc_url(plsh_banner_image_src($banner_data['ad_file'])); ?>" alt="<?php echo esc_attr($banner_data['ad_title']); ?>"></a>
					<?php } elseif($banner_data['ad_type'] == 'iframe') { ?>
						<iframe class="iframe-728x90" scrolling="no" src="<?php echo esc_url($banner_data['ad_iframe_src']); ?>"></iframe>
					<?php } else {
						echo stripslashes($banner_data['googlead_content']);
					} ?>
				</div>
				<?php
				}
			}

		$return = ob_get_contents();
		ob_end_clean();
		return $return;
	}
}

if(!function_exists('plsh_map_to_vc'))
{
	function plsh_map_to_vc() {

		//get post categories
		$post_categories = get_terms('category');
		$post_cats = array('' => '');    //blank entry
		$posts_cats_noblank = array();
		foreach($post_categories as $pc)
		{
			$post_cats[$pc->slug] = $pc->slug;
			//$posts_cats_noblank[$pc->slug] = $pc->slug;
		}
		
		//get product categories
		$product_categories = get_terms( 'product_cat' );
		$product_cats = array();
		
		if(!empty($product_categories))
		{
			foreach($product_categories as $pc)
			{
				if(is_object($pc) && !empty($pc->slug))
				{
					$product_cats[$pc->slug] = $pc->slug;
				}
			}
		}
		
		$products_cats_blank_first = array_merge(array('' => ''), $product_cats);

		//get product tags
		$product_tags_all = get_terms( 'product_tag' );
		$product_tags = array();
		
		if(!empty($product_tags_all) && empty($product_tags_all->errors))
		{	
			foreach($product_tags_all as $pt)
			{
				$product_tags[$pt->slug] = $pt->slug;
			}
		}
		
		$products_tags_blank_first = array_merge(array('' => ''), $product_tags);

		//banners 250x250
		$banners_250x250_data = plsh_get_active_banners('250x250');
		$banners_250x250 = array();
		foreach($banners_250x250_data as $banner)
		{
			$banners_250x250[$banner['ad_title']] = $banner['ad_slug'];
		}

		//banners_468x60
		$banners_468x60_data = plsh_get_active_banners('468x60');
		$banners_468x60 = array();
		foreach($banners_468x60_data as $banner)
		{
			$banners_468x60[$banner['ad_title']] = $banner['ad_slug'];
		}

		//banners 728x90
		$banners_728x90_data = plsh_get_active_banners('728x90');
		$banners_728x90 = array();
		foreach($banners_728x90_data as $banner)
		{
			$banners_728x90[$banner['ad_title']] = $banner['ad_slug'];
		}

		//product slider
		vc_map( array(
			"name" => __("Product slider", 'polaris'),
			"description" => __("Display a slider with selection of products. Full page width element", 'polaris'),
			"base" => "product_slider",
			"class" => "",
			"category" => __('Polaris', 'polaris'),
			"params" => array(
				array(
					 "type" => "textfield",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Title", 'polaris'),
					 "param_name" => "title",
					 "value" => '',
					 "description" => __("Title for the slider", 'polaris')
				),
				array(
					 "type" => "vc_link",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("More link", 'polaris'),
					 "param_name" => "url",
					 "value" => '',
					 "description" => __("Where should the your visitors find more products like this", 'polaris')
				),
				array(
					 "type" => "textfield",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Count", 'polaris'),
					 "param_name" => "count",
					 "value" => 8,
					 "description" => __("How many products should be shown", 'polaris')
				),
				array(
					 "type" => "dropdown",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Columns", 'polaris'),
					 "param_name" => "columns",
					 "value" => array(3 => 3, 4 => 4),
					 "description" => __("How many columns per row.", 'polaris')
				),
				array(
					 "type" => "dropdown",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Category", 'polaris'),
					 "param_name" => "category",
					 "value" => $products_cats_blank_first,
					 "description" => __("Select a product category to filter products.", 'polaris')
				),
				array(
					 "type" => "dropdown",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("tag", 'polaris'),
					 "param_name" => "tag",
					 "value" => $products_tags_blank_first,
					 "description" => __("Select a product tag to filter products.", 'polaris')
				),
			),
		  )
		);


		//product category list
		vc_map( array(
			"name" => __("Product category live switcher", 'polaris'),
			"description" => __("Display multiple product categories. Full page width element", 'polaris'),
			"base" => "product_category_list",
			"class" => "",
			"category" => __('Polaris', 'polaris'),
			"params" => array(
				array(
					 "type" => "textfield",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Count", 'polaris'),
					 "param_name" => "count",
					 "value" => 8,
					 "description" => __("How many products should be shown", 'polaris')
				),
				array(
					 "type" => "dropdown",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Columns", 'polaris'),
					 "param_name" => "columns",
					 "value" => array(3 => 3, 4 => 4),
					 "description" => __("How many columns per row.", 'polaris')
				),
				array(
					 "type" => "checkbox",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Product categories to show", 'polaris'),
					 "param_name" => "categories",
					 "value" => $product_cats,
					 "description" => __("Check which categories to include in the switcher", 'polaris')
				),
				array(
					 "type" => "dropdown",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Show first", 'polaris'),
					 "param_name" => "show_first",
					 "value" => $product_cats,
					 "description" => __("Select which categories to show first. Must be checked in above.", 'polaris')
				),
			),
		  )
		);

		//Special product list
		vc_map( array(
			"name" => __("Special product collection live switcher", 'polaris'),
			"description" => __("Best sellers, top rated and other product collections. Full page width element", 'polaris'),
			"base" => "special_product_list",
			"class" => "",
			"category" => __('Polaris', 'polaris'),
			"params" => array(
				array(
					 "type" => "textfield",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Count", 'polaris'),
					 "param_name" => "count",
					 "value" => 8,
					 "description" => __("How many products should be shown", 'polaris')
				),
				array(
					 "type" => "dropdown",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Columns", 'polaris'),
					 "param_name" => "columns",
					 "value" => array(3 => 3, 4 => 4),
					 "description" => __("How many columns per row.", 'polaris')
				),
				array(
					 "type" => "checkbox",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Types of product collections to show", 'polaris'),
					 "param_name" => "shortcodes",
					 "value" => array(
					   'Recent Products' => 'recent_products',
					   'Featured Products' => 'featured_products',
					   'On Sale Products' => 'sale_products',
					   'Best Selling Products' => 'best_selling_products',
					   'Top Rated Products' => 'top_rated_products'
					 ),
					 "description" => __("Check which collections to include in the switcher", 'polaris')
				),
				array(
					 "type" => "dropdown",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Show first", 'polaris'),
					 "param_name" => "show_first",
					 "value" => array(
					   'Recent Products' => 'recent_products',
					   'Featured Products' => 'featured_products',
					   'On Sale Products' => 'sale_products',
					   'Best Selling Products' => 'best_selling_products',
					   'Top Rated Products' => 'top_rated_products'
					 ),
					 "description" => __("Select which collections to show first. Must be checked in above.", 'polaris')
				),
			),
		  )
		);


		//Register "container" content element. It will hold all your inner (child) content elements
		vc_map( array(
			"name" => __("Special Offers", 'polaris'),
			"base" => "special_offers",
			"as_parent" => array('only' => 'offer_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
			"content_element" => true,
			"show_settings_on_create" => false,
			"category" => __('Polaris', 'polaris'),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => __("Title", 'polaris'),
					"param_name" => "title",
					"description" => __("Special Offers", 'polaris')
				),
				array(
					 "type" => "vc_link",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Link", 'polaris'),
					 "param_name" => "url",
					 "value" => '',
					 "description" => __("Where should the customers be taken after clicking the title", 'polaris')
				),
			),
			"js_view" => 'VcColumnView'
			) 
		);

		vc_map( array(
			"name" => __("Offer Item", 'polaris'),
			"base" => "offer_item",
			"content_element" => true,
			"as_child" => array('only' => 'special_offers'), // Use only|except attributes to limit parent (separate multiple values with comma)
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => __("Title", 'polaris'),
					"param_name" => "title",
					"description" => __("Short title for the special offer", 'polaris')
				),
				array(
					"type" => "textfield",
					"heading" => __("Description", 'polaris'),
					"param_name" => "description",
					"description" => __("Short description for the special offer", 'polaris')
				),
				array(
					"type" => "textfield",
					"heading" => __("Percent off", 'polaris'),
					"param_name" => "percent_off",
					"description" => __("Example: 20%. Leave blank to disable", 'polaris')
				),
				array(
					 "type" => "vc_link",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Button link", 'polaris'),
					 "param_name" => "url",
					 "value" => '',
					 "description" => __("Where should the customers be taken after clicking this element", 'polaris')
				),
				array(
					"type" => "textfield",
					"heading" => __("Button text", 'polaris'),
					"param_name" => "btn_text",
					"description" => ""
				),
				array(
					"type" => "attach_image",
					"holder" => "div",
					"class" => "",
					"heading" => __("Image", 'polaris'),
					"param_name" => "image",
					"value" => '',
					"description" => __("Image for special offer", 'polaris')
			   ),
			)
		) 
		);

		//Register "container" content element. It will hold all your inner (child) content elements
		vc_map( array(
			"name" => __("Brand carousel", 'polaris'),
			"base" => "product_brands",
			"content_element" => true,
			"category" => __('Polaris', 'polaris'),
			"description" => __("You can create and modify the brands in theme settings", 'polaris'),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => __("Title", 'polaris'),
					"param_name" => "title",
					"description" => __("Shop by brand", 'polaris')
				),
				array(
					 "type" => "vc_link",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Link", 'polaris'),
					 "param_name" => "url",
					 "value" => '',
					 "description" => __("Where should the customers be taken after clicking the title", 'polaris')
				),
			),
			) 
		);

		//Register "container" content element. It will hold all your inner (child) content elements
		vc_map( array(
			"name" => __("Product Feature", 'polaris'),
			"base" => "product_features",
			"content_element" => true,
			"category" => __('Polaris', 'polaris'),
			"description" => __("Describe your product with image & text rows (only for products)", 'polaris'),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => __("Title", 'polaris'),
					"param_name" => "title",
				),
				array(
					"type" => "textarea_html",
					"holder" => "div",
					"class" => "",
					"heading" => __("Text", 'polaris'),
					"param_name" => "content",
					"value" => "",
					"description" => __('Text content for the section', 'polaris')
				),
				array(
					"type" => "attach_image",
					"holder" => "div",
					"class" => "",
					"heading" => __("Image", 'polaris'),
					"param_name" => "image",
					"value" => '',
					"description" => __("Image for this feature", 'polaris')
			   ),
			),
			) 
		);


		vc_map( array(
			"name" => __("Contacts map", 'polaris'),
			"base" => "contact_map",
			"content_element" => true,
			"category" => __('Polaris', 'polaris'),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => __("Title", 'polaris'),
					"param_name" => "title",
					"value" => "Our contact information"
				),
				array(
					"type" => "textfield",
					"heading" => __("Phone number/email", 'polaris'),
					"param_name" => "main_title",
					"value" => "+123 456 789 0"
				),
				array(
					"type" => "textfield",
					"heading" => __("Secondary contact info", 'polaris'),
					"param_name" => "sub_title",
				),
				array(
					"type" => "textfield",
					"heading" => __("Button title", 'polaris'),
					"param_name" => "btn_text",
					 "value" => __('Leave us a message', 'polaris'),
					"description" => __("You can use this button to link to contact form etc", 'polaris')
				),
				array(
					 "type" => "vc_link",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Link", 'polaris'),
					 "param_name" => "url",
					 "value" => '',
					 "description" => __("Where should the button link to", 'polaris')
				),
				array(
					"type" => "textfield",
					"heading" => __("Map center latitude coordinates", 'polaris'),
					"param_name" => "lat",
					"value" => '37.7749295',
				),
				array(
					"type" => "textfield",
					"heading" => __("Map center longitude coordinates", 'polaris'),
					"param_name" => "lng",
					"value" => '-122.4194155',
				),
				array(
					"type" => "textfield",
					"heading" => __("Marker latitude coordinates", 'polaris'),
					"param_name" => "marker_lat",
					"value" => '37.7749295',
					"description" => __("Leave empty to disable marker", 'polaris')
				),
				array(
					"type" => "textfield",
					"heading" => __("Marker longitude coordinates", 'polaris'),
					"param_name" => "marker_lng",
					"value" => '-122.4194155',
					"description" => __("Leave empty to disable marker", 'polaris')
				),
				array(
					 "type" => "dropdown",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Map zoom level", 'polaris'),
					 "param_name" => "zoom",
					 "value" => array(7 => 7, 8 => 8, 9 => 9, 10 => 10, 11 => 11, 12 => 12, 13 => 13, 14 => 14, 15 => 15, 16 => 16, 17 => 17, 18 => 18, 19 => 19, 20 => 20 ),
					 "description" => __("Values 12 - 15 are optimal", 'polaris')
				),
			)
		) 
		);

		
		vc_map( array(
			"name" => __("Welcome block", 'polaris'),
			"base" => "welcome_block",
			"class" => "",
			"category" => __('Polaris', 'polaris'),
			"description" => __("Introduce customers to your site", 'polaris'),
			"params" => array(
				array(
					"type" => "textfield",
					"heading" => __("Title", 'polaris'),
					"param_name" => "title",
					"value" => "Welcome to Polaris Shop"
				),
				array(
					"type" => "textarea",
					"holder" => "div",
					"class" => "",
					"heading" => __("Text", 'polaris'),
					"param_name" => "content",
					"value" => "Congratulations on starting your own e-commerce store! ",
					"description" => __('Text content for the section', 'polaris')
				),
				array(
					"type" => "attach_image",
					"holder" => "div",
					"class" => "",
					"heading" => __("Image", 'polaris'),
					"param_name" => "image",
					"value" => '',
					"description" => __("Welcome Image", 'polaris')
			   ),
				array(
					 "type" => "vc_link",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Button link", 'polaris'),
					 "param_name" => "url",
					 "value" => '',
					 "description" => __("Where should the customers be taken after clicking this element", 'polaris')
				),
				array(
					"type" => "textfield",
					"heading" => __("Link text", 'polaris'),
					"param_name" => "link_text",
					"value"	=> "Start shopping",
					"description" => ""
				),
			)  
		  )
		);
		
		
		vc_map( array(
			"name" => __("Title Block", 'polaris'),
			"description" => __("Specially styled title block", 'polaris'),
			"base" => "title_block",
			"class" => "",
			"category" => __('Polaris', 'polaris'),
			"params" => array(
				array(
					 "type" => "textfield",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Title", 'polaris'),
					 "param_name" => "title",
					 "value" => __("Title", 'polaris'),
					 "description" => __("The title", 'polaris')
				),
				array(
					 "type" => "vc_link",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("More link", 'polaris'),
					 "param_name" => "url",
					 "value" => '',
					 "description" => __("Where should the your visitors find more posts like this", 'polaris')
				),
			)
		  )
		);

		
		vc_map( array(
			"name" => __("Post List", 'polaris'),
			"description" => __("Display list of posts select by category", 'polaris'),
			"base" => "post_list",
			"class" => "",
			"category" => __('Polaris', 'polaris'),
			"params" => array(
				array(
					 "type" => "textfield",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Title", 'polaris'),
					 "param_name" => "title",
					 "value" => __("Latest blog posts", 'polaris'),
					 "description" => __("The title for post block", 'polaris')
				),
				array(
					 "type" => "textfield",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Count", 'polaris'),
					 "param_name" => "count",
					 "value" => __(4),
					 "description" => __("How many posts should be shown", 'polaris')
				),
				array(
					 "type" => "dropdown",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Columns", 'polaris'),
					 "param_name" => "columns",
					 "value" => array(3 => 3, 4 => 4),
					 "description" => __("How many columns per row.", 'polaris')
				),
				array(
					 "type" => "vc_link",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("More link", 'polaris'),
					 "param_name" => "url",
					 "value" => '',
					 "description" => __("Where should the your visitors find more posts like this", 'polaris')
				),
				array(
					 "type" => "dropdown",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Post category (for list)", 'polaris'),
					 "param_name" => "category",
					 "value" => $post_cats,
					 "description" => __("List posts from specific category", 'polaris')
				),
			)
		  )
		);

		vc_map( array(
			"name" => __("Banner 250x250", 'polaris'),
			"base" => "banner250",
			"class" => "",
			"category" => __('Polaris Banners', 'polaris'),
			"params" => array(
				array(
					 "type" => "checkbox",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Banner", 'polaris'),
					 "param_name" => "banner",
					 "value" => $banners_250x250,
					 "description" => __("Display 250x250px banners.  Check more than one to have multiple banners in rotation", 'polaris')
				),
			)   
		  )
		);

		vc_map( array(
			"name" => __("Banner 468x60", 'polaris'),
			"base" => "banner468",
			"class" => "",
			"category" => __('Polaris Banners', 'polaris'),
			"params" => array(
				array(
					 "type" => "checkbox",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Banner", 'polaris'),
					 "param_name" => "banner",
					 "value" => $banners_468x60,
					 "description" => __("Display 468x60px banners.  Check more than one to have multiple banners in rotation", 'polaris')
				),
			)   
		  )
		);

		vc_map( array(
			"name" => __("Banner 728x90", 'polaris'),
			"base" => "banner728",
			"class" => "",
			"category" => __('Polaris Banners', 'polaris'),
			"params" => array(
				array(
					 "type" => "checkbox",
					 "holder" => "div",
					 "class" => "",
					 "heading" => __("Banner", 'polaris'),
					 "param_name" => "banner",
					 "value" => $banners_728x90,
					 "description" => __("Display 728x90 banners. Check more than one to have multiple banners in rotation", 'polaris')
				),
			)  
		  )
		);

	}
}


//Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_Special_Offers extends WPBakeryShortCodesContainer { }
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Offer_Item extends WPBakeryShortCode { }
}