<?php
/**
 * The template for displaying product content within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product.php
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//apply_filters( 'loop_shop_columns', 3 );

global $product, $polaris_woocommerce_loop;

// Ensure visibility
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}

// Store loop count we're currently on
if ( empty( $polaris_woocommerce_loop['loop'] ) )
	$polaris_woocommerce_loop['loop'] = 0;

// Increase loop count
$polaris_woocommerce_loop['loop']++;

//start row
if ( 0 == ( $polaris_woocommerce_loop['loop'] - 1 ) % $polaris_woocommerce_loop['columns'] || 1 == $polaris_woocommerce_loop['columns'] )
{
    echo '<!-- START PRODUCT ROW -->';
    $polaris_woocommerce_loop['row_open'] = true;
    echo '<div class="row">';
}
?>
<div class="col" data-loop="<?php echo $polaris_woocommerce_loop['loop'] ?>">
    <?php
    $classes = array('item-single');
    
    if(plsh_gs('show_quick_features') == 'on')
    {
        $classes[] = 'quick-features-enabled';
    }
    
    if(plsh_gs('zoom_catalog_images_on_hover') == 'on')
    {
        $classes[] = 'zoom-enabled';
    }
    
    ?>
    <div <?php post_class( $classes ); ?> data-product-id="<?php echo esc_attr($post->ID); ?>">

        <?php do_action( 'woocommerce_before_shop_loop_item' ); ?>

        <?php
            /**
             * woocommerce_before_shop_loop_item_title hook
             *
             * @hooked woocommerce_show_product_loop_sale_flash - 10
             * @hooked woocommerce_template_loop_product_thumbnail - 10
             */
            do_action( 'woocommerce_before_shop_loop_item_title' );
        ?>

        <div class="details">
            <?php if(plsh_gs('show_category_trail') == 'on') : ?>
			
				<?php
                $cats = get_the_terms( $post->ID, 'product_cat' );
                if(!empty($cats) > 0) {
                
				$cats_indexed = array();
					
                //look for cat with parents
                $cat = false;
                foreach($cats as $cat_item)
                {
                    $cats_indexed[$cat_item->term_id] = $cat_item;
					
					if($cat_item->parent > 0 && !$cat) 
                    {
                        $cat = $cat_item;
                    }
                }
                
                if(!$cat)
                {
                    $cat = reset($cats);
                }
				?>
                <div class="path">
                    <?php 
                    if($cat->parent > 0 && !empty($cats_indexed[$cat->parent]))
                    {
                        echo '<a href="' . esc_url(get_term_link($cats_indexed[$cat->parent])) . '">' . $cats_indexed[$cat->parent]->name . '</a>';
                    }
                    
                    echo '<a href="' . esc_url(get_term_link($cat)) . '">' . $cat->name . '</a>';
                    ?>
                </div>
				<?php } ?>
			
			<?php endif; ?>
            
            <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
            
            <?php
                /**
                 * woocommerce_after_shop_loop_item_title hook
                 *
                 * @hooked woocommerce_template_loop_price - 10
                 */
                do_action( 'woocommerce_after_shop_loop_item_title' );
            ?>
        </div>
        
        <?php if(plsh_gs('show_quick_features') == 'on') : ?>
            <div class="more">
                <?php

                /**
                 * woocommerce_after_shop_loop_item hook
                 *
                 * @hooked woocommerce_template_loop_add_to_cart - 10
                 */
                do_action( 'woocommerce_after_shop_loop_item' ); 
                ?>
                <div class="links">
                    <?php if(plsh_gs('show_quickview') == 'on') : ?>
                        <a href="javascript:void(0);" class="btn-quickview"><i class="fa fa-eye"></i><?php _e('Quickview', 'polaris'); ?></a>
                    <?php endif; ?>
                    
                    <?php if(shortcode_exists('yith_wcwl_add_to_wishlist')) : ?>
                        <?php echo do_shortcode('[yith_wcwl_add_to_wishlist]'); ?>
                    <?php endif; ?>    
                </div>
            </div>
        <?php endif; ?>
        
    </div>
</div>
    
<?php
//end row
if ( 0 == $polaris_woocommerce_loop['loop'] % $polaris_woocommerce_loop['columns'])
{
    $polaris_woocommerce_loop['row_open'] = false;
    echo '</div>';
    echo '<!-- END PRODUCT ROW close-1 -->';
}
?>
    
