<?php
/**
 * The template for displaying product category thumbnails within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product_cat.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.6.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $polaris_woocommerce_loop;

// Store loop count we're currently on
if ( empty( $polaris_woocommerce_loop['loop'] ) )
	$polaris_woocommerce_loop['loop'] = 0;

// Increase loop count
$polaris_woocommerce_loop['loop']++;

$classes = array('item-single', 'product-category');

?>
<?php
//start row
if ( 0 == ( $polaris_woocommerce_loop['loop'] - 1 ) % $polaris_woocommerce_loop['columns'] || 1 == $polaris_woocommerce_loop['columns'] )
{
    echo '<!-- START PRODUCT ROW -->';
    $polaris_woocommerce_loop['row_open'] = true;
    echo '<div class="row">';
}
?>
<div class="col">
	
	<div <?php post_class( $classes ); ?>>

	<?php do_action( 'woocommerce_before_subcategory', $category ); ?>

		<a href="<?php echo esc_url(get_term_link( $category->slug, 'product_cat' )); ?>">

		<?php
			$thumbnail_id = get_woocommerce_term_meta( $category->term_id, 'thumbnail_id', true  );

			if ( $thumbnail_id ) {
				$image = wp_get_attachment_image_src( $thumbnail_id, 'plsh_catalog_item'  );
				$image = $image[0];
			} else {
				$image = wc_placeholder_img_src();
			}
						
			echo '<img src="' . esc_url($image) . '" alt="' . esc_attr($category->name) . '"/>';
		?>
			
		</a>
		
		<div class="details">
			<h2>
				<a href="<?php echo esc_url(get_term_link( $category->slug, 'product_cat' )); ?>">
				<?php
					echo $category->name;

					if ( $category->count > 0 )
						echo apply_filters( 'woocommerce_subcategory_count_html', ' <mark class="count">(' . $category->count . ')</mark>', $category );
				?>
				</a>
			</h2>

			<?php
				/**
				 * woocommerce_after_subcategory_title hook
				 */
				do_action( 'woocommerce_after_subcategory_title', $category );
			?>
		</div>
	

	<?php do_action( 'woocommerce_after_subcategory', $category ); ?>
		
	</div>

</div>

<?php
//end row
if ( 0 == $polaris_woocommerce_loop['loop'] % $polaris_woocommerce_loop['columns'])
{
    $polaris_woocommerce_loop['row_open'] = false;
    echo '</div>';
    echo '<!-- END PRODUCT ROW -->';
}
?>