<?php
/**
 * Simple product add to cart
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

if ( ! $product->is_purchasable() ) {
	
	echo '<div class="more">';
	
	do_action( 'plsh_add_quote_button' );
		
	echo '</div>';
	
	return;
}

?>

<div class="more">

    <?php if ( $product->is_in_stock() ) : ?>

        <?php do_action( 'woocommerce_before_add_to_cart_form' ); ?>

        <form class="cart" method="post" enctype='multipart/form-data'>
            <?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>
			<?php
				global $_PLSH_WOO;
				
				if($_PLSH_WOO->yith_show_add_to_cart()) : ?>
				
					<?php
						do_action( 'woocommerce_before_add_to_cart_quantity' );

						woocommerce_quantity_input( array(
							'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
							'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
							'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( $_POST['quantity'] ) : $product->get_min_purchase_quantity(),
						) );

						do_action( 'woocommerce_after_add_to_cart_quantity' );
					?>

					<input type="hidden" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" />

					<a href="#" class="btn-medium-1 single_add_to_cart_button"><i class="fa fa-shopping-cart"></i><?php echo esc_html( $product->single_add_to_cart_text() ); ?></a>

				<?php endif;
			?>

            <?php global $_PLSH_WOO; $_PLSH_WOO->product_wishlist_button(); ?>
                        
			<?php do_action( 'plsh_add_quote_button' ); ?>
			
            <?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
        </form>

        <?php do_action( 'woocommerce_after_add_to_cart_form' ); ?>

    <?php endif; ?>
</div>