<?php
/**
 * Single Product Image
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $woocommerce, $product;
$has_thumbs = false;
ob_start();
?>

<div class="image-table-wrapper">

    <div class="row">

		<div class="image-wrapper<?php if(plsh_gs('zoom_catalog_images_on_hover') == 'on') { echo ' zoom-enabled'; } ?>">

            <?php woocommerce_show_product_sale_flash(); ?>

            <?php if ( has_post_thumbnail() ) : ?>

                <?php
                $unique_slider_id = uniqid();
                $thumb_ids = array();
                ?>
                <div class="image-slides cycle-slideshow images" id="single-product-slider"
                    data-cycle-swipe="true"
                    data-cycle-swipe-fx="scrollHorz"
                    data-index="1"
                    data-cycle-log="false"
                    data-cycle-fx="scrollHorz"
                    data-cycle-timeout="0"
                    data-cycle-speed="200"
                    data-cycle-pager="#<?php echo esc_attr($unique_slider_id); ?>"
                    data-cycle-auto-height="1:1"
                    data-cycle-pager-active-class="active"
                    data-cycle-pager-template=""
                    data-cycle-prev=".<?php echo esc_attr($unique_slider_id); ?>_prev"
                    data-cycle-next=".<?php echo esc_attr($unique_slider_id); ?>_next"
                    data-cycle-slides=".image" 
                >

                    <div class="image active main-slide" style="background-image: url(<?php echo plsh_get_thumbnail('plsh_product_single', true); ?>);"></div>
                
                    <?php
                        global $product;
                        $gallery = $product->get_gallery_image_ids();

                        if($product->get_type() == 'variable')
                        {
							$variations = plsh_get_available_variation_ids();
							
                            foreach($variations as $variant)
                            {
                                if(has_post_thumbnail( $variant ))
                                {
                                    $id = get_post_thumbnail_id($variant);
                                    $img = wp_get_attachment_image_src( $id, 'plsh_product_single' );

                                    if(plsh_gs('show_variant_thumbs') != 'off')
                                    {
                                        echo '<div class="image" id="image-' . $variant . '" style="background-image: url(' . $img[0] . ');"></div>';
                                    }

                                    $thumb_ids[] = array('id' => $id, 'type' => 'variant', 'variation_id' => $variant, 'img' => $img[0]);
                                }  
                            }
                        }

                        if(!empty($gallery))
                        {
                            $loop = 0;
                            foreach ( $gallery as $value ) 
                            {
                                $img = wp_get_attachment_image_src( $value, 'plsh_product_single' );
                                echo '<div class="image" style="background-image: url(' . $img[0] . ');"></div>';
                                $thumb_ids[] = array('id' => $value, 'type' => 'gallery', 'img' => $img[0]);
                            }
                        }
                    ?>
                </div>

                <?php global $_PLSH_WOO; $_PLSH_WOO->product_get_label(); ?>
                
				<?php if(!empty($thumb_ids)) : ?>
					<div class="controls">
						<a href="#" class="btn-symbol-1 <?php echo esc_attr($unique_slider_id); ?>_prev"><i class="fa fa-angle-left"></i></a>
						<a href="#" class="btn-symbol-1 <?php echo esc_attr($unique_slider_id); ?>_next"><i class="fa fa-angle-right"></i></a>
					</div>
				<?php endif; ?>
			

            <?php else : ?>  

                <?php echo '<div class="image active placeholder" style="background-image: url(' . wc_placeholder_img_src() . ');"></div>'; ?>

            <?php endif; ?>

        </div>

    </div>
    
    <?php if(!empty($thumb_ids)) : ?>
    <div class="row">

        <div class="thumbs">
            <div class="thumb-images" id="<?php echo esc_attr($unique_slider_id); ?>">
                <?php
                $has_thumbs = true;
                echo '<a href="#" class="active"><img src="' . plsh_get_thumbnail('plsh_widget_item', true) . '" alt=""></a>';

                foreach($thumb_ids as $item)
                {
                    if($item['type'] != 'variant' || plsh_gs('show_variant_thumbs') != 'off')
                    {
                        $id = $item['id'];
                        $img = wp_get_attachment_image_src( $id, 'plsh_widget_item' );
                        echo '<a href="#" class="thumb-type-' . esc_attr($item['type']) . '"><img src="' . esc_url($img[0]) . '" alt=""></a>';
                    }
                }
                ?>
            </div>
        </div>

    </div>
    <?php endif; ?>

    <?php if(plsh_gs('show_variant_thumbs') == 'off') : ?>
        <div class="hidden slider-variant-guide" <?php
        
        echo ' data-variant-default="' . plsh_get_thumbnail('plsh_product_single', true) . '" ';
        
        foreach($thumb_ids as $item)
        {
            if($item['type'] == 'variant')
            {
                echo ' data-variant-' . $item['variation_id'] . '="' . $item['img'] . '" ';
            }
        }
        
        echo '></div>';
    endif; ?>
</div>
<?php
    $product_image_content = ob_get_contents();
    ob_end_clean();
?>

<div class="col image-col-wrapper<?php if(!$has_thumbs) { echo ' no-thumbs'; }?>">
	<?php echo $product_image_content; ?>
</div>