<?php
/**
 * Single Product Rating
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     3.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

if ( 'no' === get_option( 'woocommerce_enable_review_rating' ) ) {
	return;
}

$rating_count = $product->get_rating_count();
$review_count = $product->get_review_count();
$average      = $product->get_average_rating();

if ( $rating_count > 0 ) : ?>

	<div class="reviews" itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating">
        
		<div class="rating-wrapper">
			<span class="rating-item">
				<i class="stars rating-<?php echo str_replace('.', '-', ( round($average * 2, 0)/2 )); ?>"></i>

				<?php if ( comments_open() ) : ?>
				<a href="<?php the_permalink(); ?>#reviews">(<?php echo esc_attr($review_count); ?>) <?php _e('See reviews', 'polaris');?></a>
				<?php endif ?>
			</span>

			<?php if ( comments_open() ) : ?>
			<span class="rating-item"><a href="<?php the_permalink(); ?>#reviews"><?php _e('Write review', 'polaris');?></a></span>
			<?php endif ?>

			<span itemprop="ratingValue" class="hidden"><?php echo esc_html( $average ); ?></span>
			<span itemprop="bestRating"  class="hidden">5</span>
			<span itemprop="ratingCount" class="hidden"><?php echo esc_attr($rating_count); ?></span>
		</div>
		
		<?php global $_PLSH_WOO; $_PLSH_WOO->product_share(); ?>
	</div>

<?php endif; ?>