<?php
/**
 * Review Comments Template
 *
 * Closing li is left out on purpose!
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.6.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$rating   = intval( get_comment_meta( $comment->comment_ID, 'rating', true ) );
$verified = wc_review_is_from_verified_owner( $comment->comment_ID );

?>
<li itemprop="review" itemscope itemtype="http://schema.org/Review" <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">

    <div class="image">
        <?php echo get_avatar( $comment, apply_filters( 'woocommerce_review_gravatar_size', '70' ), '', get_comment_author_email( $comment->comment_ID ) ); ?>
    </div>

    <div class="text">

		<?php do_action( 'woocommerce_review_before_comment_meta', $comment ); ?>
		
        <?php if ( $comment->comment_approved == '0' ) : ?>

            <p class="meta"><em><?php _e( 'Your comment is awaiting approval', 'woocommerce' ); ?></em></p>

        <?php else : ?>

            <h3>
                <span itemprop="author"><?php comment_author(); ?></span>
                
                <?php if ( $rating && get_option( 'woocommerce_enable_review_rating' ) === 'yes' ) : ?>

                    <i class="stars rating-<?php echo str_replace('.', '-', ( round($rating * 2, 0)/2 )); ?>"></i>
                
                    <div itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating" class="hidden" title="<?php echo sprintf( __( 'Rated %d out of 5', 'woocommerce' ), $rating ) ?>">
                        <span itemprop="ratingValue" class="hidden"><?php echo esc_html( $rating ); ?></span>
                    </div>

                <?php endif; ?>                
            </h3>
            
            <div class="legend">
                <span itemprop="datePublished" datetime="<?php echo get_comment_date( 'c' ); ?>" class="time"><?php echo get_comment_date( __( get_option( 'date_format' ), 'woocommerce' ) ); ?></span>
                <?php
                if ( get_option( 'woocommerce_review_rating_verification_label' ) === 'yes' )
                {
                    if ( $verified )
                    {
                        echo '<em class="verified">(' . __( 'verified owner', 'woocommerce' ) . ')</em> ';
                    }
                }
                ?>
            </div>
            
			<?php do_action( 'woocommerce_review_before_comment_text', $comment ); ?>
			
            <div itemprop="description" class="comment"><?php wpautop(comment_text()); ?></div>
           
			<?php do_action( 'woocommerce_review_after_comment_text', $comment ); ?>
			
        <?php endif; ?>
			

    </div>