<?php
/**
 * Single Product tabs
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Filter tabs and allow third parties to add their own
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );

if ( ! empty( $tabs ) ) : ?>

    <!-- Features & specs -->
    <div class="container-fluid catalog-specs">
                    
        <div class="woocommerce-tabs wc-tabs-wrapper">
            
            <div role="tabpanel">
                <ul class="nav nav-tabs wc-tabs" role="tablist">
                    <?php $active = 'active'; ?>
                    <?php foreach ( $tabs as $key => $tab ) : ?>

						<li class="<?php echo esc_attr($key); ?>_tab <?php echo esc_attr($active); $active=''; ?>" role="presentation">
                            <a href="#tab-<?php echo esc_attr($key); ?>" aria-controls="<?php echo esc_attr($key); ?>" role="tab" data-toggle="tab"><?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', $tab['title'], $key ) ?></a>
                        </li>

                    <?php endforeach; ?>
                </ul>
            </div>
            
            <div class="container-fluid">
                <div class="tab-content">
                <?php $active = 'active'; ?>
                <?php foreach ( $tabs as $key => $tab ) : ?>
                    
                    <div class="entry-content wc-tab <?php echo esc_attr($active); $active=''; ?>" role="tabpanel" id="tab-<?php echo esc_attr($key); ?>">
                        <?php call_user_func( $tab['callback'], $key, $tab ) ?>
                    </div>

                <?php endforeach; ?>
                    
                </div>
            </div>
                    
        </div>
        
    </div>

<?php endif; ?>
